%% Create cross-Plots over Al2O3

% Runs main element normalization
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    normalization4
    cd(folder_plot)

% Generate data
    cross1a = (n1Fe2O3./n1Al2O3);
    cross2a = (n1MgO./n1Al2O3);
    cross3a = (n1MnO./n1Al2O3);
    cross4a = (n1TiO2./n1Al2O3);
    cross5a = (n1Na2O./n1Al2O3);
    cross6a = (n1K2O./n1Al2O3);
    cross7a = (n1CaO./n1Al2O3);
    cross8a = (n1P2O5./n1Al2O3);
   
    cross1b = (n2Fe2O3./n2Al2O3);
    cross2b = (n2MgO./n2Al2O3);
    cross3b = (n2MnO./n2Al2O3);
    cross4b = (n2TiO2./n2Al2O3);
    cross5b = (n2Na2O./n2Al2O3);
    cross6b = (n2K2O./n2Al2O3);
    cross7b = (n2CaO./n2Al2O3);
    cross8b = (n2P2O5./n2Al2O3);
    
    cross1c = (n3Fe2O3./n3Al2O3);
    cross2c = (n3MgO./n3Al2O3);
    cross3c = (n3MnO./n3Al2O3);
    cross4c = (n3TiO2./n3Al2O3);
    cross5c = (n3Na2O./n3Al2O3);
    cross6c = (n3K2O./n3Al2O3);
    cross7c = (n3CaO./n3Al2O3);
    cross8c = (n3P2O5./n3Al2O3);
    
    cross1d = (n4Fe2O3./n4Al2O3);
    cross2d = (n4MgO./n4Al2O3);
    cross3d = (n4MnO./n4Al2O3);
    cross4d = (n4TiO2./n4Al2O3);
    cross5d = (n4Na2O./n4Al2O3);
    cross6d = (n4K2O./n4Al2O3);
    cross7d = (n4CaO./n4Al2O3);
    cross8d = (n4P2O5./n4Al2O3);
    

crossplots4_Al2O3 = figure('Visible','on','Position',[200,100,600,800]);
    set(crossplots4_Al2O3,'Name','Cross-Plots (Al2O3) - FGAPP v1.0 - 4 datasets')

    %% Create crossplots
% 1.1
subplot(4,2,1); plot(n4Al2O3,cross1d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross1c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross1b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross1a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Fe_2O_3/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 1.2
subplot(4,2,2); plot(n4Al2O3,cross2d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross2c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross2b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross2a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MgO/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 2.1
subplot(4,2,3); plot(n4Al2O3,cross3d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross3c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross3b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross3a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MnO/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 2.2
subplot(4,2,4); plot(n4Al2O3,cross4d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross4c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross4b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross4a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('TiO_2/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3.1
subplot(4,2,5); plot(n4Al2O3,cross5d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross5c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross5b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross5a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Na_2O/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 3.2
subplot(4,2,6); plot(n4Al2O3,cross6d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross6c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross6b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross6a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('K_2O/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4.1
subplot(4,2,7); plot(n4Al2O3,cross7d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross7c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross7b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross7a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('CaO/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4.2
subplot(4,2,8); plot(n4Al2O3,cross8d,'^','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','y',...
                                        'MarkerSize',5)
                                    hold all
                plot(n3Al2O3,cross8c,'v','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','g',...
                                        'MarkerSize',5)
                plot(n2Al2O3,cross8b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                plot(n1Al2O3,cross8a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
                                    hold off
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('P_2O_5/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
%% Clear data
clear crossplots4_Al2O3
clear cross1a cross2a cross3a cross4a cross5a cross6a cross7a cross8a
clear cross1b cross2b cross3b cross4b cross5b cross6b cross7b cross8b
clear cross1c cross2c cross3c cross4c cross5c cross6c cross7c cross8c
clear cross1d cross2d cross3d cross4d cross5d cross6d cross7d cross8d