%% Create cross-Plots over MgO

% Runs main element normalization
    cd(folder_norm)
    normalization1
    cd(folder_plot)

% Generate data
    cross1a = (n1Fe2O3./n1MgO);
    cross2a = (n1TiO2./n1MgO);
    cross3a = (n1MnO./n1MgO);
    cross4a = (n1Al2O3./n1MgO);
    cross5a = (n1Na2O./n1MgO);
    cross6a = (n1K2O./n1MgO);
    cross7a = (n1CaO./n1MgO);
    cross8a = (n1P2O5./n1MgO);

crossplots1_MgO = figure('Visible','on','Position',[220,120,600,800]);
    set(crossplots1_MgO,'Name','Cross-Plots (MgO) - FGAPP v1.0 - 1 dataset')

    %% Create crossplots
% 1.1
subplot(4,2,1); plot(n1MgO,cross1a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Fe_2O_3/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')

% 1.2
subplot(4,2,2); plot(n1MgO,cross2a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('TiO_2/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')
      
% 2.1
subplot(4,2,3); plot(n1MgO,cross3a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MnO/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')
      
% 2.2
subplot(4,2,4); plot(n1MgO,cross4a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Al_2O_3/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')

% 3.1
subplot(4,2,5); plot(n1MgO,cross5a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Na_2O/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')
      
% 3.2
subplot(4,2,6); plot(n1MgO,cross6a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('K_2O/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')

% 4.1
subplot(4,2,7); plot(n1MgO,cross7a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('CaO/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')

% 4.2
subplot(4,2,8); plot(n1MgO,cross8a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('MgO [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('P_2O_5/MgO','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b','XDir','reverse')
      
	%% Clear data
clear crossplots1_MgO
clear cross1a cross2a cross3a cross4a cross5a cross6a cross7a cross8a