%% Creates the fenner diagrams
% Al2O3, SiO2, Fe2O3, MnO, TiO2, CaO, Na2O, K2O, P2O5 vs. MgO

% Runs the normalization script
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    normalization4
    cd(folder_plot)
    
    %% Creates plots
% 1 Al2O3 vs. MgO
fenner4 = figure('Visible','on','Position',[200,150,900,800]);
    set(fenner4,'Name','Fenner-diagrams - FGAPP v1.0 - 4 datasets')
    
subplot(3,3,1); plot(n4MgO,n4Al2O3,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3Al2O3,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2Al2O3,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1Al2O3,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 SiO2 vs. MgO
subplot(3,3,2); plot(n4MgO,n4SiO2,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3SiO2,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2SiO2,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1SiO2,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Fe2O3 vs. MgO
subplot(3,3,3); plot(n4MgO,n4Fe2O3,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3Fe2O3,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2Fe2O3,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1Fe2O3,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Fe_2O_3 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 MnO vs. MgO
subplot(3,3,4); plot(n4MgO,n4MnO,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)                                 
                                 hold all
                plot(n3MgO,n3MnO,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2MnO,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)                
                plot(n1MgO,n1MnO,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('MnO [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 TiO2 vs. MgO
subplot(3,3,5); plot(n4MgO,n4TiO2,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3TiO2,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2TiO2,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1TiO2,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 CaO vs. MgO
subplot(3,3,6); plot(n4MgO,n4CaO,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3CaO,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2CaO,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1CaO,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('CaO [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 7 Na2O vs. MgO
subplot(3,3,7); plot(n4MgO,n4Na2O,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3Na2O,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2Na2O,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1Na2O,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Na_2O [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 K2O vs. MgO
subplot(3,3,8); plot(n4MgO,n4K2O,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3K2O,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2K2O,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1K2O,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('K_2O [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 P2O5 vs. MgO
subplot(3,3,9); plot(n4MgO,n4P2O5,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',5)
                                 hold all
                plot(n3MgO,n3P2O5,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                plot(n2MgO,n2P2O5,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1MgO,n1P2O5,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('P_2O_5 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

	%% Clear data
clear fenner4