% Creates the harker variation diagrams
% Al2O3, MgO, Fe2O3, MnO, TiO2, CaO, Na2O, K2O, P2O5 vs. silica

% Runs the normalization script
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    cd(folder_plot)

    %% Create plots
% Create figure
    harker4 = figure('Visible','on','Position',[150,100,900,800]);
    set(harker4,'Name','Harker-diagrams - FastGAPP v1.0 - 3 datasets')
    
% 1 Al2O3 vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Al2O3,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)     
                                hold all
                plot(n2SiO2,n2Al2O3,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Al2O3,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 MgO vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3MgO,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2MgO,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1MgO,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Fe2O3 vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Fe2O3,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Fe2O3,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Fe2O3,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Fe_2O_3 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 MnO vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3MnO,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2MnO,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1MnO,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('MnO [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 TiO2 vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3TiO2,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2TiO2,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1TiO2,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 CaO vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3CaO,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2CaO,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1CaO,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('CaO [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 7 Na2O vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Na2O,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Na2O,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Na2O,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Na_2O [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 K2O vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3K2O,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2K2O,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1K2O,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('K_2O [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 P2O5 vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3P2O5,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2P2O5,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1P2O5,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('P_2O_5 [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

	%% Clear data
clear harker4