%% FastGAPP version 1.0 - Master Project of Florian Riefstahl - University of Bremen - Department 5 Geo Sciences - 2012
%
% Initializes FGAPP. Please choose how many Excel-Spreadsheets you want to plot. 
% After choosing the file(s) the mainwindow of FastGAPP will open and show your
% choices for plotting and analysis.

function fgapp
    %% Create and then hide the GUI as it is being constructed.
   fgapp_datasets = figure('Visible','off','Position',[600,400,800,500]);
   
   %  Construct layout and choise-buttons for interface (left side).
      a1 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[0,480,400,20]);
      a2 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[0,470,400,10]);       
      a3 = uicontrol('Style','text','String','FastGAPP v1.0',...
          'FontSize',[14],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','white','BackgroundColor','black',...
          'Position',[100,480,200,20]);
      a4 = uicontrol('Style','text','String','How many datasets?',...
          'FontSize',[14],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','black','BackgroundColor','w',...
          'Position',[100,420,200,25]);
      a5 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[75,420,250,2]);
    % Right side
      a6 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.9,0.9,0.9],...
          'Position',[405,5,390,460]);
      a7 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.0,0.0,0.0],...
          'Position',[398,5,4,460]);
      a8 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[400,480,600,20]);
      a9 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[400,470,600,10]); 
      a10 = uicontrol('Style','text','String','Fast Geochemical Analysis Plotting Program',...
          'FontSize',[12],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[400,480,400,18]);
      a11 = uicontrol('Style','text','String','Tools',...
          'FontSize',[14],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.9,0.9,0.9],...
          'Position',[500,420,200,25]);
      a12 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[475,420,250,2]);
      
      %% FastGAPP 
cd main_window
    dataset1 = uicontrol('Style','pushbutton','String','1 Dataset',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.3,0.3,0.3],'BackgroundColor',[1,1,1],...
          'Position',[60,335,300,50],...
          'Callback','ini1');
    status1 = axes('Units','Pixels','Position',[5,335,50,50]);
          line(0.1,0.2,'LineStyle','none','Marker','s',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
         axis ([0 0.3 0 0.3]); box off; axis off;
         
    a20 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,310,380,2]);
    dataset2 = uicontrol('Style','pushbutton','String','2 Datasets',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.2,0.2,0.2],'BackgroundColor',[0.9,0.9,0.9],...
          'Position',[60,235,300,50],...
          'Callback','ini2');
    status2 = axes('Units','Pixels','Position',[5,235,50,50]);
          line(0.125,0.15,'LineStyle','none','Marker','o',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b');
          line(0.1,0.2,'LineStyle','none','Marker','s',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
         axis ([0 0.3 0 0.3]); box off; axis off;
         
    a21 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,210,380,2]);
    dataset3 = uicontrol('Style','pushbutton','String','3 Datasets',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.1,0.1,0.1],'BackgroundColor',[0.8,0.8,0.8],...
          'Position',[60,135,300,50],...
          'Callback','ini3');
    status3 = axes('Units','Pixels','Position',[5,135,50,50]);
          line(0.165,0.16,'LineStyle','none','Marker','v',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g');
          line(0.125,0.15,'LineStyle','none','Marker','o',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b');
          line(0.1,0.2,'LineStyle','none','Marker','s',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
         axis ([0 0.3 0 0.3]); box off; axis off;
    a22 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,110,380,2]); 
    dataset4 = uicontrol('Style','pushbutton','String','4 Datasets',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0,0,0],'BackgroundColor',[0.7,0.7,0.7],...
          'Position',[60,35,300,50],...
          'Callback','ini4');
    status4 = axes('Units','Pixels','Position',[5,35,50,50]);
          line(0.2,0.18,'LineStyle','none','Marker','^',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','y');
          line(0.165,0.16,'LineStyle','none','Marker','v',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g');
          line(0.125,0.15,'LineStyle','none','Marker','o',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b');
          line(0.1,0.20,'LineStyle','none','Marker','s',...
                              'MarkerSize',[10],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
          axis ([0 0.3 0 0.3]); box off; axis off;
          
%% Tools
    tool1 = uicontrol('Style','pushbutton','String','Petro Plot',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0,0,0],'BackgroundColor',[0.7,0.7,0.7],...
          'Position',[460,335,300,50],...
          'Callback','PPini');
    a30 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[410,310,380,2]);
    tool2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.1,0.1,0.1],'BackgroundColor',[0.8,0.8,0.8],...
          'Position',[460,235,300,50],...
          'Callback','freebutton');
    a31 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[410,210,380,2]);
    tool3 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.2,0.2,0.2],'BackgroundColor',[0.9,0.9,0.9],...
          'Position',[460,135,300,50],...
          'Callback','freebutton');
    a32 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[410,110,380,2]);
    tool4 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
         'ForegroundColor',[0.3,0.3,0.3],'BackgroundColor',[1,1,1],...
          'Position',[460,35,300,50],...
          'Callback','freebutton');
      
   %% Initialize the GUI.
   % Change to automatical resive of the window.
   set([fgapp_datasets,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,...
        a20,a21,a22,a30,a31,a32,...
        dataset1,dataset2,dataset3,dataset4,...
        tool1,tool2,tool3,tool4,...
        status1,status2,status3,status4],...
        'Units','normalized');
   % Change the background coluor of the GUI
   set (fgapp_datasets,'Color','white')
   % Assign the GUI a name to appear in the window title.
   set(fgapp_datasets,'Name','FastGAPP v1.0')
   % Move the GUI to the center of the screen.
   movegui(fgapp_datasets,'center')
   % Make the GUI visible.
   set(fgapp_datasets,'Visible','on');
end