% Reading of data from second input file and performs a LOI-free normalization 
% of main elements, trace elements, platin-group elements (PGE), and rare 
% earth elements (REE)
    
%% First Input File
    input_dat2 = input_dat2(:,1:76);
    
%% Reading of coloum from Input-Variable and turn NaN's to 0
    r2SiO2  = input_dat2(:,1);    r2SiO2(isnan(r2SiO2))      = 0;
    r2TiO2  = input_dat2(:,2);    r2TiO2(isnan(r2TiO2))      = 0;
    r2Al2O3 = input_dat2(:,3);    r2Al2O3(isnan(r2Al2O3))    = 0;
    r2Fe2O3 = input_dat2(:,4);    r2Fe2O3(isnan(r2Fe2O3))    = 0;
    r2MnO   = input_dat2(:,5);    r2MnO(isnan(r2MnO))        = 0;
    r2MgO   = input_dat2(:,6);    r2MgO(isnan(r2MgO))        = 0;
    r2CaO   = input_dat2(:,7);    r2CaO(isnan(r2CaO))        = 0;
    r2Na2O  = input_dat2(:,8);    r2Na2O(isnan(r2Na2O))      = 0;
    r2K2O   = input_dat2(:,9);    r2K2O(isnan(r2K2O))        = 0;
    r2P2O5  = input_dat2(:,10);   r2P2O5(isnan(r2P2O5))      = 0;
    r2SO3 = input_dat2(:,11);     r2SO3(isnan(r2SO3))        = 0;
    r2Cl  = input_dat2(:,12);     r2Cl(isnan(r2Cl))          = 0;
    r2F   = input_dat2(:,13);     r2F(isnan(r2F))            = 0;
    r2H2O = input_dat2(:,14);     r2H2O(isnan(r2H2O)) = 0;
    r2CO2 = input_dat2(:,15);     r2CO2(isnan(r2CO2)) = 0;
    r2LOI = input_dat2(:,16);     r2LOI(isnan(r2LOI)) = 0;
    r2totalinput = input_dat2(:,17);    r2totalinput(isnan(r2totalinput)) = 0;
    r2Ag = input_dat2(:,18);     r2Ag(isnan(r2Ag))   = 0;
    r2As = input_dat2(:,19);     r2As(isnan(r2As))   = 0;
    r2Au = input_dat2(:,20);     r2Au(isnan(r2Au))   = 0;
    r2B  = input_dat2(:,21);     r2B(isnan(r2B))     = 0;
    r2Ba = input_dat2(:,22);     r2Ba(isnan(r2Ba))   = 0;
    r2Be = input_dat2(:,23);     r2Be(isnan(r2Be))   = 0;
    r2Bi = input_dat2(:,24);     r2Bi(isnan(r2Bi))   = 0;
    r2Cd = input_dat2(:,25);     r2Cd(isnan(r2Cd))   = 0;
    r2Co = input_dat2(:,26);     r2Co(isnan(r2Co))   = 0;
    r2Cr = input_dat2(:,27);     r2Cr(isnan(r2Cr))   = 0;
    r2Cs = input_dat2(:,28);     r2Cs(isnan(r2Cs))   = 0;
    r2Cu = input_dat2(:,29);     r2Cu(isnan(r2Cu))   = 0;
    r2Ga = input_dat2(:,30);     r2Ga(isnan(r2Ga))   = 0;
    r2Ge = input_dat2(:,31);     r2Ge(isnan(r2Ge))   = 0;
    r2Hf = input_dat2(:,32);     r2Hf(isnan(r2Hf))   = 0;
    r2Hg = input_dat2(:,33);     r2Hg(isnan(r2Hg))   = 0;
    r2In = input_dat2(:,34);     r2In(isnan(r2In))   = 0;
    r2Li = input_dat2(:,35);     r2Li(isnan(r2Li))   = 0;
    r2Mo = input_dat2(:,36);     r2Mo(isnan(r2Mo))   = 0;
    r2Nb = input_dat2(:,37);     r2Nb(isnan(r2Nb))   = 0;
    r2Ni = input_dat2(:,38);     r2Ni(isnan(r2Ni))   = 0;
    r2Pb = input_dat2(:,39);     r2Pb(isnan(r2Pb))   = 0;
    r2Rb = input_dat2(:,40);     r2Rb(isnan(r2Rb))   = 0;
    r2Re = input_dat2(:,41);     r2Re(isnan(r2Re))   = 0;
    r2Sb = input_dat2(:,42);     r2Sb(isnan(r2Sb))   = 0;
    r2Sc = input_dat2(:,43);     r2Sc(isnan(r2Sc))   = 0;
    r2Se = input_dat2(:,44);     r2Se(isnan(r2Se))   = 0;
    r2Sn = input_dat2(:,45);     r2Sn(isnan(r2Sn))   = 0;
    r2Sr = input_dat2(:,46);     r2Sr(isnan(r2Sr))   = 0;
    r2Ta = input_dat2(:,47);     r2Ta(isnan(r2Ta))   = 0;
    r2Te = input_dat2(:,48);     r2Te(isnan(r2Te))   = 0;
    r2Th = input_dat2(:,49);     r2Th(isnan(r2Th))   = 0;
    r2Tl = input_dat2(:,50);     r2Tl(isnan(r2Tl))   = 0;
    r2U  = input_dat2(:,51);     r2U (isnan(r2U))    = 0;
    r2V  = input_dat2(:,52);     r2V (isnan(r2V))    = 0;
    r2W  = input_dat2(:,53);     r2W (isnan(r2W))    = 0;
    r2Y  = input_dat2(:,54);     r2Y (isnan(r2Y))    = 0;
    r2Zn = input_dat2(:,55);     r2Zn(isnan(r2Zn))   = 0;
    r2Zr = input_dat2(:,56);     r2Zr(isnan(r2Zr))   = 0;
    r2Ru = input_dat2(:,57);     r2Ru(isnan(r2Ru))   = 0;
    r2Rh = input_dat2(:,58);     r2Rh(isnan(r2Rh))   = 0;
    r2Pd = input_dat2(:,59);     r2Pd(isnan(r2Pd))   = 0;
    r2Os = input_dat2(:,60);     r2Os(isnan(r2Os))   = 0;
    r2Ir = input_dat2(:,61);     r2Ir(isnan(r2Ir))   = 0;
    r2Pt = input_dat2(:,62);     r2Pt(isnan(r2Pt))   = 0;
    r2La = input_dat2(:,63);     r2La(isnan(r2La))   = 0;
    r2Ce = input_dat2(:,64);     r2Ce(isnan(r2Ce))   = 0;
    r2Pr = input_dat2(:,65);     r2Pr(isnan(r2Pr))   = 0;
    r2Nd = input_dat2(:,66);     r2Nd(isnan(r2Nd))   = 0;
    r2Sm = input_dat2(:,67);     r2Sm(isnan(r2Sm))   = 0;
    r2Eu = input_dat2(:,68);     r2Eu(isnan(r2Eu))   = 0;
    r2Gd = input_dat2(:,69);     r2Gd(isnan(r2Gd))   = 0;
    r2Tb = input_dat2(:,70);     r2Tb(isnan(r2Tb))   = 0;
    r2Dy = input_dat2(:,71);	 r2Dy(isnan(r2Dy))   = 0;
    r2Ho = input_dat2(:,72);     r2Ho(isnan(r2Ho))   = 0;
    r2Er = input_dat2(:,73);     r2Er(isnan(r2Er))   = 0;
    r2Tm = input_dat2(:,74);     r2Tm(isnan(r2Tm))   = 0;
    r2Yb = input_dat2(:,75);     r2Yb(isnan(r2Yb))   = 0;
    r2Lu = input_dat2(:,76);     r2Lu(isnan(r2Lu))   = 0;
 
%% Calculate total values

% Calculate total value (only main elements - volatile-free)
r2totalmain     = r2SiO2+r2TiO2+r2Al2O3+r2Fe2O3+r2MnO+r2MgO+r2CaO+r2Na2O+r2K2O+r2P2O5;

% Calculate total value (only main elements and volatiles)
r2totalLOImain = r2SiO2+r2TiO2+r2Al2O3+r2Fe2O3+r2MnO+r2MgO+r2CaO+r2Na2O+r2K2O+r2P2O5+...
                 r2SO3+r2Cl+r2F+r2H2O+r2CO2+r2LOI;
             
% Calculate total LOI
r2LOIonly       = r2SO3+r2Cl+r2F+r2H2O+r2CO2+r2LOI;

% Calculate total value (main elements and trace elements - volatile-free)
r2total         = r2SiO2+r2TiO2+r2Al2O3+r2Fe2O3+r2MnO+r2MgO+r2CaO+r2Na2O+r2K2O+r2P2O5+...               
               ((r2Ag+r2As+r2Au+r2Ba+r2B+r2Be+r2Bi+r2Cd+r2Co+r2Cr+r2Cs+r2Cu+...
                 r2Ga+r2Ge+r2Hf+r2Hg+r2In+r2Li+r2Mo+r2Nb+r2Ni+r2Pb+r2Rb+r2Re+...
                 r2Sb+r2Sc+r2Sn+r2Sr+r2Ta+r2Te+r2Th+r2Tl+r2U+r2V+r2W+r2Y+...
                 r2Zn+r2Zr+...
                 r2Ru+r2Rh+r2Pd+r2Os+r2Ir+r2Pt+...
                 r2La+r2Ce+r2Pr+r2Nd+r2Sm+r2Eu+r2Gd+r2Tb+r2Dy+r2Ho+...
                 r2Er+r2Tm+r2Yb+r2Lu)./10000);
% Calculate total value (main elements, volatiles, and trace elements)
r2totalLOI     = r2SiO2+r2TiO2+r2Al2O3+r2Fe2O3+r2MnO+r2MgO+r2CaO+r2Na2O+r2K2O+r2P2O5+...
                 r2SO3+r2Cl+r2F+r2H2O+r2CO2+r2LOI+...                 
               ((r2Ag+r2As+r2Au+r2Ba+r2B+r2Be+r2Bi+r2Cd+r2Co+r2Cr+r2Cs+r2Cu+...
                 r2Ga+r2Ge+r2Hf+r2Hg+r2In+r2Li+r2Mo+r2Nb+r2Ni+r2Pb+r2Rb+r2Re+...
                 r2Sb+r2Sc+r2Sn+r2Sr+r2Ta+r2Te+r2Th+r2Tl+r2U+r2V+r2W+r2Y+...
                 r2Zn+r2Zr+...
                 r2Ru+r2Rh+r2Pd+r2Os+r2Ir+r2Pt+...
                 r2La+r2Ce+r2Pr+r2Nd+r2Sm+r2Eu+r2Gd+r2Tb+r2Dy+r2Ho+...
                 r2Er+r2Tm+r2Yb+r2Lu)./10000);

%% Performing normalization and turn raw and normalized zeros to NaN
    n2SiO2  = r2SiO2  ./r2total*100; n2SiO2(isnan(0./n2SiO2))   = NaN; r2SiO2(isnan(0./r2SiO2))   = NaN;
    n2TiO2  = r2TiO2  ./r2total*100; n2TiO2(isnan(0./n2TiO2))   = NaN; r2TiO2(isnan(0./r2TiO2))   = NaN;
    n2Al2O3 = r2Al2O3 ./r2total*100; n2Al2O3(isnan(0./n2Al2O3)) = NaN; r2Al2O3(isnan(0./r2Al2O3)) = NaN;
    n2Fe2O3 = r2Fe2O3 ./r2total*100; n2Fe2O3(isnan(0./n2Fe2O3)) = NaN; r2Fe2O3(isnan(0./r2Fe2O3)) = NaN;
    n2MnO   = r2MnO   ./r2total*100; n2MnO(isnan(0./n2MnO))     = NaN; r2MnO(isnan(0./r2MnO))     = NaN;
    n2MgO   = r2MgO   ./r2total*100; n2MgO(isnan(0./n2MgO))     = NaN; r2MgO(isnan(0./r2MgO))     = NaN;
    n2CaO   = r2CaO   ./r2total*100; n2CaO(isnan(0./n2CaO))     = NaN; r2CaO(isnan(0./r2CaO))     = NaN;
    n2Na2O  = r2Na2O  ./r2total*100; n2Na2O(isnan(0./n2Na2O))   = NaN; r2Na2O(isnan(0./r2Na2O))   = NaN;
    n2K2O   = r2K2O   ./r2total*100; n2K2O(isnan(0./n2K2O))     = NaN; r2K2O(isnan(0./r2K2O))     = NaN;
    n2P2O5  = r2P2O5  ./r2total*100; n2P2O5(isnan(0./n2P2O5))   = NaN; r2P2O5(isnan(0./r2P2O5))   = NaN;
    n2total = r2total ./r2total*100; n2total(isnan(0./n2total)) = NaN; r2total(isnan(0./r2total)) = NaN;
    r2SO3(isnan(0./r2SO3)) = NaN;
    r2F(isnan(0./r2F)) = NaN;
    r2Cl(isnan(0./r2Cl)) = NaN;
    r2H2O(isnan(0./r2H2O)) = NaN;
    r2CO2(isnan(0./r2CO2)) = NaN;
    r2LOI(isnan(0./r2LOI)) = NaN;
    n2Ag    = r2Ag./r2total*100; n2Ag(isnan(0./n2Ag))   = NaN; r2Ag(isnan(0./r2Ag))   = NaN;
    n2As    = r2As./r2total*100; n2As(isnan(0./n2As))   = NaN; r2As(isnan(0./r2As))   = NaN;
    n2Au    = r2Au./r2total*100; n2Au(isnan(0./n2Au))   = NaN; r2Au(isnan(0./r2Au))   = NaN;
    n2B     = r2B ./r2total*100; n2B (isnan(0./n2B ))   = NaN; r2B (isnan(0./r2B ))   = NaN;
    n2Ba    = r2Ba./r2total*100; n2Ba(isnan(0./n2Ba))   = NaN; r2Ba(isnan(0./r2Ba))   = NaN;
    n2Be    = r2Be./r2total*100; n2Be(isnan(0./n2Be))   = NaN; r2Be(isnan(0./r2Be))   = NaN;
    n2Bi    = r2Bi./r2total*100; n2Bi(isnan(0./n2Bi))   = NaN; r2Bi(isnan(0./r2Bi))   = NaN;
    n2Cd    = r2Cd./r2total*100; n2Cd(isnan(0./n2Cd))   = NaN; r2Cd(isnan(0./r2Cd))   = NaN;
    n2Co    = r2Co./r2total*100; n2Co(isnan(0./n2Co))   = NaN; r2Co(isnan(0./r2Co))   = NaN;
    n2Cr    = r2Cr./r2total*100; n2Cr(isnan(0./n2Cr))   = NaN; r2Cr(isnan(0./r2Cr))   = NaN;
    n2Cs    = r2Cs./r2total*100; n2Cs(isnan(0./n2Cs))   = NaN; r2Cs(isnan(0./r2Cs))   = NaN;
    n2Cu    = r2Cu./r2total*100; n2Cu(isnan(0./n2Cu))   = NaN; r2Cu(isnan(0./r2Cu))   = NaN;
    n2Ga    = r2Ga./r2total*100; n2Ga(isnan(0./n2Ga))   = NaN; r2Ga(isnan(0./r2Ga))   = NaN;
    n2Ge    = r2Ge./r2total*100; n2Ge(isnan(0./n2Ge))   = NaN; r2Ge(isnan(0./r2Ge))   = NaN;
    n2Hf    = r2Hf./r2total*100; n2Hf(isnan(0./n2Hf))   = NaN; r2Hf(isnan(0./r2Hf))   = NaN;
    n2Hg    = r2Hg./r2total*100; n2Hg(isnan(0./n2Hg))   = NaN; r2Hg(isnan(0./r2Hg))   = NaN;
    n2In    = r2In./r2total*100; n2In(isnan(0./n2In))   = NaN; r2In(isnan(0./r2In))   = NaN;
    n2Li    = r2Li./r2total*100; n2Li(isnan(0./n2Li))   = NaN; r2Li(isnan(0./r2Li))   = NaN;
    n2Mo    = r2Mo./r2total*100; n2Mo(isnan(0./n2Mo))   = NaN; r2Mo(isnan(0./r2Mo))   = NaN;
    n2Nb    = r2Nb./r2total*100; n2Nb(isnan(0./n2Nb))   = NaN; r2Nb(isnan(0./r2Nb))   = NaN;
    n2Ni    = r2Ni./r2total*100; n2Ni(isnan(0./n2Ni))   = NaN; r2Ni(isnan(0./r2Ni))   = NaN;
    n2Pb    = r2Pb./r2total*100; n2Pb(isnan(0./n2Pb))   = NaN; r2Pb(isnan(0./r2Pb))   = NaN;
    n2Rb    = r2Rb./r2total*100; n2Rb(isnan(0./n2Rb))   = NaN; r2Rb(isnan(0./r2Rb))   = NaN;
    n2Re    = r2Re./r2total*100; n2Re(isnan(0./n2Re))   = NaN; r2Re(isnan(0./r2Re))   = NaN;
    n2Sb    = r2Sb./r2total*100; n2Sb(isnan(0./n2Sb))   = NaN; r2Sb(isnan(0./r2Sb))   = NaN;
    n2Sc    = r2Sc./r2total*100; n2Sc(isnan(0./n2Sc))   = NaN; r2Sc(isnan(0./r2Sc))   = NaN;
    n2Se    = r2Se./r2total*100; n2Se(isnan(0./n2Se))   = NaN; r2Se(isnan(0./r2Se))   = NaN;
    n2Sn    = r2Sn./r2total*100; n2Sn(isnan(0./n2Sn))   = NaN; r2Sn(isnan(0./r2Sn))   = NaN;
    n2Sr    = r2Sr./r2total*100; n2Sr(isnan(0./n2Sr))   = NaN; r2Sr(isnan(0./r2Sr))   = NaN;
    n2Ta    = r2Ta./r2total*100; n2Ta(isnan(0./n2Ta))   = NaN; r2Ta(isnan(0./r2Ta))   = NaN;
    n2Te    = r2Te./r2total*100; n2Te(isnan(0./n2Te))   = NaN; r2Te(isnan(0./r2Te))   = NaN;
    n2Th    = r2Th./r2total*100; n2Th(isnan(0./n2Th))   = NaN; r2Th(isnan(0./r2Th))   = NaN;
    n2Tl    = r2Tl./r2total*100; n2Tl(isnan(0./n2Tl))   = NaN; r2Tl(isnan(0./r2Tl))   = NaN;
    n2U     = r2U ./r2total*100; n2U(isnan(0./n2U))     = NaN; r2U(isnan(0./r2U))     = NaN;
    n2V     = r2V ./r2total*100; n2V(isnan(0./n2V))     = NaN; r2V(isnan(0./r2V))     = NaN;
    n2W     = r2W ./r2total*100; n2W(isnan(0./n2W))     = NaN; r2W(isnan(0./r2W))     = NaN;
    n2Y     = r2Y ./r2total*100; n2Y(isnan(0./n2Y))     = NaN; r2Y(isnan(0./r2Y))     = NaN;
    n2Zn    = r2Zn./r2total*100; n2Zn(isnan(0./n2Zn))   = NaN; r2Zn(isnan(0./r2Zn))   = NaN;
    n2Zr    = r2Zr./r2total*100; n2Zr(isnan(0./n2Zr))   = NaN; r2Zr(isnan(0./r2Zr))   = NaN;
    n2Ru    = r2Ru./r2total*100; n2Ru(isnan(0./n2Ru))   = NaN; r2Ru(isnan(0./r2Ru))   = NaN;
    n2Rh    = r2Rh./r2total*100; n2Rh(isnan(0./n2Rh))   = NaN; r2Rh(isnan(0./r2Rh))   = NaN;
    n2Pd    = r2Pd./r2total*100; n2Pd(isnan(0./n2Pd))   = NaN; r2Pd(isnan(0./r2Pd))   = NaN;
    n2Os    = r2Os./r2total*100; n2Os(isnan(0./n2Os))   = NaN; r2Os(isnan(0./r2Os))   = NaN;
    n2Ir    = r2Ir./r2total*100; n2Ir(isnan(0./n2Ir))   = NaN; r2Ir(isnan(0./r2Ir))   = NaN;
    n2Pt    = r2Pt./r2total*100; n2Pt(isnan(0./n2Pt))   = NaN; r2Pt(isnan(0./r2Pt))   = NaN; 
    n2La    = r2La./r2total*100; n2La(isnan(0./n2La))   = NaN; r2La(isnan(0./r2La))   = NaN;
    n2Ce    = r2Ce./r2total*100; n2Ce(isnan(0./n2Ce))   = NaN; r2Ce(isnan(0./r2Ce))   = NaN;
    n2Pr    = r2Pr./r2total*100; n2Pr(isnan(0./n2Pr))   = NaN; r2Pr(isnan(0./r2Pr))   = NaN;
    n2Nd    = r2Nd./r2total*100; n2Nd(isnan(0./n2Nd))   = NaN; r2Nd(isnan(0./r2Nd))   = NaN;
    n2Sm    = r2Sm./r2total*100; n2Sm(isnan(0./n2Sm))   = NaN; r2Sm(isnan(0./r2Sm))   = NaN;
    n2Eu    = r2Eu./r2total*100; n2Eu(isnan(0./n2Eu))   = NaN; r2Eu(isnan(0./r2Eu))   = NaN;
    n2Gd    = r2Gd./r2total*100; n2Gd(isnan(0./n2Gd))   = NaN; r2Gd(isnan(0./r2Gd))   = NaN;
    n2Tb    = r2Tb./r2total*100; n2Tb(isnan(0./n2Tb))   = NaN; r2Tb(isnan(0./r2Tb))   = NaN;
    n2Dy    = r2Dy./r2total*100; n2Dy(isnan(0./n2Dy))   = NaN; r2Dy(isnan(0./r2Dy))   = NaN;
    n2Ho    = r2Ho./r2total*100; n2Ho(isnan(0./n2Ho))   = NaN; r2Ho(isnan(0./r2Ho))   = NaN;
    n2Er    = r2Er./r2total*100; n2Er(isnan(0./n2Er))   = NaN; r2Er(isnan(0./r2Er))   = NaN;
    n2Tm    = r2Tm./r2total*100; n2Tm(isnan(0./n2Tm))   = NaN; r2Tm(isnan(0./r2Tm))   = NaN;
    n2Yb    = r2Yb./r2total*100; n2Yb(isnan(0./n2Yb))   = NaN; r2Yb(isnan(0./r2Yb))   = NaN;
    n2Lu    = r2Lu./r2total*100; n2Lu(isnan(0./n2Lu))   = NaN; r2Lu(isnan(0./r2Lu))   = NaN;
    
            
%% Conversion of wt.% to mol.% of main elements
    conversion2molar2
    
%% Runs statistics and Tabs
    statistics2
    tables2
