% Reading of data from fourth input file and performs a LOI-free normalization 
% of main elements, trace elements, platin-group elements (PGE), and rare 
% earth elements (REE)
    
%% First Input File
    input_dat4 = input_dat4(:,1:76);
    
%% Reading of coloum from Input-Variable and turn NaN's to 0
    r4SiO2  = input_dat4(:,1);    r4SiO2(isnan(r4SiO2))      = 0;
    r4TiO2  = input_dat4(:,2);    r4TiO2(isnan(r4TiO2))      = 0;
    r4Al2O3 = input_dat4(:,3);    r4Al2O3(isnan(r4Al2O3))    = 0;
    r4Fe2O3 = input_dat4(:,4);    r4Fe2O3(isnan(r4Fe2O3))    = 0;
    r4MnO   = input_dat4(:,5);    r4MnO(isnan(r4MnO))        = 0;
    r4MgO   = input_dat4(:,6);    r4MgO(isnan(r4MgO))        = 0;
    r4CaO   = input_dat4(:,7);    r4CaO(isnan(r4CaO))        = 0;
    r4Na2O  = input_dat4(:,8);    r4Na2O(isnan(r4Na2O))      = 0;
    r4K2O   = input_dat4(:,9);    r4K2O(isnan(r4K2O))        = 0;
    r4P2O5  = input_dat4(:,10);   r4P2O5(isnan(r4P2O5))      = 0;
    r4SO3 = input_dat4(:,11);     r4SO3(isnan(r4SO3))        = 0;
    r4Cl  = input_dat4(:,12);     r4Cl(isnan(r4Cl))          = 0;
    r4F   = input_dat4(:,13);     r4F(isnan(r4F))            = 0;
    r4H2O = input_dat4(:,14);     r4H2O(isnan(r4H2O)) = 0;
    r4CO2 = input_dat4(:,15);     r4CO2(isnan(r4CO2)) = 0;
    r4LOI = input_dat4(:,16);     r4LOI(isnan(r4LOI)) = 0;
    r4totalinput = input_dat4(:,17);    r4totalinput(isnan(r4totalinput)) = 0;
    r4Ag = input_dat4(:,18);     r4Ag(isnan(r4Ag))   = 0;
    r4As = input_dat4(:,19);     r4As(isnan(r4As))   = 0;
    r4Au = input_dat4(:,20);     r4Au(isnan(r4Au))   = 0;
    r4B  = input_dat4(:,21);     r4B(isnan(r4B))     = 0;
    r4Ba = input_dat4(:,22);     r4Ba(isnan(r4Ba))   = 0;
    r4Be = input_dat4(:,23);     r4Be(isnan(r4Be))   = 0;
    r4Bi = input_dat4(:,24);     r4Bi(isnan(r4Bi))   = 0;
    r4Cd = input_dat4(:,25);     r4Cd(isnan(r4Cd))   = 0;
    r4Co = input_dat4(:,26);     r4Co(isnan(r4Co))   = 0;
    r4Cr = input_dat4(:,27);     r4Cr(isnan(r4Cr))   = 0;
    r4Cs = input_dat4(:,28);     r4Cs(isnan(r4Cs))   = 0;
    r4Cu = input_dat4(:,29);     r4Cu(isnan(r4Cu))   = 0;
    r4Ga = input_dat4(:,30);     r4Ga(isnan(r4Ga))   = 0;
    r4Ge = input_dat4(:,31);     r4Ge(isnan(r4Ge))   = 0;
    r4Hf = input_dat4(:,32);     r4Hf(isnan(r4Hf))   = 0;
    r4Hg = input_dat4(:,33);     r4Hg(isnan(r4Hg))   = 0;
    r4In = input_dat4(:,34);     r4In(isnan(r4In))   = 0;
    r4Li = input_dat4(:,35);     r4Li(isnan(r4Li))   = 0;
    r4Mo = input_dat4(:,36);     r4Mo(isnan(r4Mo))   = 0;
    r4Nb = input_dat4(:,37);     r4Nb(isnan(r4Nb))   = 0;
    r4Ni = input_dat4(:,38);     r4Ni(isnan(r4Ni))   = 0;
    r4Pb = input_dat4(:,39);     r4Pb(isnan(r4Pb))   = 0;
    r4Rb = input_dat4(:,40);     r4Rb(isnan(r4Rb))   = 0;
    r4Re = input_dat4(:,41);     r4Re(isnan(r4Re))   = 0;
    r4Sb = input_dat4(:,42);     r4Sb(isnan(r4Sb))   = 0;
    r4Sc = input_dat4(:,43);     r4Sc(isnan(r4Sc))   = 0;
    r4Se = input_dat4(:,44);     r4Se(isnan(r4Se))   = 0;
    r4Sn = input_dat4(:,45);     r4Sn(isnan(r4Sn))   = 0;
    r4Sr = input_dat4(:,46);     r4Sr(isnan(r4Sr))   = 0;
    r4Ta = input_dat4(:,47);     r4Ta(isnan(r4Ta))   = 0;
    r4Te = input_dat4(:,48);     r4Te(isnan(r4Te))   = 0;
    r4Th = input_dat4(:,49);     r4Th(isnan(r4Th))   = 0;
    r4Tl = input_dat4(:,50);     r4Tl(isnan(r4Tl))   = 0;
    r4U  = input_dat4(:,51);     r4U (isnan(r4U))    = 0;
    r4V  = input_dat4(:,52);     r4V (isnan(r4V))    = 0;
    r4W  = input_dat4(:,53);     r4W (isnan(r4W))    = 0;
    r4Y  = input_dat4(:,54);     r4Y (isnan(r4Y))    = 0;
    r4Zn = input_dat4(:,55);     r4Zn(isnan(r4Zn))   = 0;
    r4Zr = input_dat4(:,56);     r4Zr(isnan(r4Zr))   = 0;
    r4Ru = input_dat4(:,57);     r4Ru(isnan(r4Ru))   = 0;
    r4Rh = input_dat4(:,58);     r4Rh(isnan(r4Rh))   = 0;
    r4Pd = input_dat4(:,59);     r4Pd(isnan(r4Pd))   = 0;
    r4Os = input_dat4(:,60);     r4Os(isnan(r4Os))   = 0;
    r4Ir = input_dat4(:,61);     r4Ir(isnan(r4Ir))   = 0;
    r4Pt = input_dat4(:,62);     r4Pt(isnan(r4Pt))   = 0;
    r4La = input_dat4(:,63);     r4La(isnan(r4La))   = 0;
    r4Ce = input_dat4(:,64);     r4Ce(isnan(r4Ce))   = 0;
    r4Pr = input_dat4(:,65);     r4Pr(isnan(r4Pr))   = 0;
    r4Nd = input_dat4(:,66);     r4Nd(isnan(r4Nd))   = 0;
    r4Sm = input_dat4(:,67);     r4Sm(isnan(r4Sm))   = 0;
    r4Eu = input_dat4(:,68);     r4Eu(isnan(r4Eu))   = 0;
    r4Gd = input_dat4(:,69);     r4Gd(isnan(r4Gd))   = 0;
    r4Tb = input_dat4(:,70);     r4Tb(isnan(r4Tb))   = 0;
    r4Dy = input_dat4(:,71);	 r4Dy(isnan(r4Dy))   = 0;
    r4Ho = input_dat4(:,72);     r4Ho(isnan(r4Ho))   = 0;
    r4Er = input_dat4(:,73);     r4Er(isnan(r4Er))   = 0;
    r4Tm = input_dat4(:,74);     r4Tm(isnan(r4Tm))   = 0;
    r4Yb = input_dat4(:,75);     r4Yb(isnan(r4Yb))   = 0;
    r4Lu = input_dat4(:,76);     r4Lu(isnan(r4Lu))   = 0;
 
%% Calculate total values

% Calculate total value (only main elements - volatile-free)
r4totalmain     = r4SiO2+r4TiO2+r4Al2O3+r4Fe2O3+r4MnO+r4MgO+r4CaO+r4Na2O+r4K2O+r4P2O5;

% Calculate total value (only main elements and volatiles)
r4totalLOImain = r4SiO2+r4TiO2+r4Al2O3+r4Fe2O3+r4MnO+r4MgO+r4CaO+r4Na2O+r4K2O+r4P2O5+...
                 r4SO3+r4Cl+r4F+r4H2O+r4CO2+r4LOI;
             
% Calculate total LOI
r4LOIonly       = r4SO3+r4Cl+r4F+r4H2O+r4CO2+r4LOI;

% Calculate total value (main elements and trace elements - volatile-free)
r4total         = r4SiO2+r4TiO2+r4Al2O3+r4Fe2O3+r4MnO+r4MgO+r4CaO+r4Na2O+r4K2O+r4P2O5+...               
               ((r4Ag+r4As+r4Au+r4Ba+r4B+r4Be+r4Bi+r4Cd+r4Co+r4Cr+r4Cs+r4Cu+...
                 r4Ga+r4Ge+r4Hf+r4Hg+r4In+r4Li+r4Mo+r4Nb+r4Ni+r4Pb+r4Rb+r4Re+...
                 r4Sb+r4Sc+r4Sn+r4Sr+r4Ta+r4Te+r4Th+r4Tl+r4U+r4V+r4W+r4Y+...
                 r4Zn+r4Zr+...
                 r4Ru+r4Rh+r4Pd+r4Os+r4Ir+r4Pt+...
                 r4La+r4Ce+r4Pr+r4Nd+r4Sm+r4Eu+r4Gd+r4Tb+r4Dy+r4Ho+...
                 r4Er+r4Tm+r4Yb+r4Lu)./10000);
% Calculate total value (main elements, volatiles, and trace elements)
r4totalLOI     = r4SiO2+r4TiO2+r4Al2O3+r4Fe2O3+r4MnO+r4MgO+r4CaO+r4Na2O+r4K2O+r4P2O5+...
                 r4SO3+r4Cl+r4F+r4H2O+r4CO2+r4LOI+...                 
               ((r4Ag+r4As+r4Au+r4Ba+r4B+r4Be+r4Bi+r4Cd+r4Co+r4Cr+r4Cs+r4Cu+...
                 r4Ga+r4Ge+r4Hf+r4Hg+r4In+r4Li+r4Mo+r4Nb+r4Ni+r4Pb+r4Rb+r4Re+...
                 r4Sb+r4Sc+r4Sn+r4Sr+r4Ta+r4Te+r4Th+r4Tl+r4U+r4V+r4W+r4Y+...
                 r4Zn+r4Zr+...
                 r4Ru+r4Rh+r4Pd+r4Os+r4Ir+r4Pt+...
                 r4La+r4Ce+r4Pr+r4Nd+r4Sm+r4Eu+r4Gd+r4Tb+r4Dy+r4Ho+...
                 r4Er+r4Tm+r4Yb+r4Lu)./10000);

%% Performing normalization and turn raw and normalized zeros to NaN
    n4SiO2  = r4SiO2  ./r4total*100; n4SiO2(isnan(0./n4SiO2))   = NaN; r4SiO2(isnan(0./r4SiO2))   = NaN;
    n4TiO2  = r4TiO2  ./r4total*100; n4TiO2(isnan(0./n4TiO2))   = NaN; r4TiO2(isnan(0./r4TiO2))   = NaN;
    n4Al2O3 = r4Al2O3 ./r4total*100; n4Al2O3(isnan(0./n4Al2O3)) = NaN; r4Al2O3(isnan(0./r4Al2O3)) = NaN;
    n4Fe2O3 = r4Fe2O3 ./r4total*100; n4Fe2O3(isnan(0./n4Fe2O3)) = NaN; r4Fe2O3(isnan(0./r4Fe2O3)) = NaN;
    n4MnO   = r4MnO   ./r4total*100; n4MnO(isnan(0./n4MnO))     = NaN; r4MnO(isnan(0./r4MnO))     = NaN;
    n4MgO   = r4MgO   ./r4total*100; n4MgO(isnan(0./n4MgO))     = NaN; r4MgO(isnan(0./r4MgO))     = NaN;
    n4CaO   = r4CaO   ./r4total*100; n4CaO(isnan(0./n4CaO))     = NaN; r4CaO(isnan(0./r4CaO))     = NaN;
    n4Na2O  = r4Na2O  ./r4total*100; n4Na2O(isnan(0./n4Na2O))   = NaN; r4Na2O(isnan(0./r4Na2O))   = NaN;
    n4K2O   = r4K2O   ./r4total*100; n4K2O(isnan(0./n4K2O))     = NaN; r4K2O(isnan(0./r4K2O))     = NaN;
    n4P2O5  = r4P2O5  ./r4total*100; n4P2O5(isnan(0./n4P2O5))   = NaN; r4P2O5(isnan(0./r4P2O5))   = NaN;
    n4total = r4total ./r4total*100; n4total(isnan(0./n4total)) = NaN; r4total(isnan(0./r4total)) = NaN;
    r4SO3(isnan(0./r4SO3)) = NaN;
    r4F(isnan(0./r4F)) = NaN;
    r4Cl(isnan(0./r4Cl)) = NaN;
    r4H2O(isnan(0./r4H2O)) = NaN;
    r4CO2(isnan(0./r4CO2)) = NaN;
    r4LOI(isnan(0./r4LOI)) = NaN;
    n4Ag    = r4Ag./r4total*100; n4Ag(isnan(0./n4Ag))   = NaN; r4Ag(isnan(0./r4Ag))   = NaN;
    n4As    = r4As./r4total*100; n4As(isnan(0./n4As))   = NaN; r4As(isnan(0./r4As))   = NaN;
    n4Au    = r4Au./r4total*100; n4Au(isnan(0./n4Au))   = NaN; r4Au(isnan(0./r4Au))   = NaN;
    n4B     = r4B ./r4total*100; n4B (isnan(0./n4B ))   = NaN; r4B (isnan(0./r4B ))   = NaN;
    n4Ba    = r4Ba./r4total*100; n4Ba(isnan(0./n4Ba))   = NaN; r4Ba(isnan(0./r4Ba))   = NaN;
    n4Be    = r4Be./r4total*100; n4Be(isnan(0./n4Be))   = NaN; r4Be(isnan(0./r4Be))   = NaN;
    n4Bi    = r4Bi./r4total*100; n4Bi(isnan(0./n4Bi))   = NaN; r4Bi(isnan(0./r4Bi))   = NaN;
    n4Cd    = r4Cd./r4total*100; n4Cd(isnan(0./n4Cd))   = NaN; r4Cd(isnan(0./r4Cd))   = NaN;
    n4Co    = r4Co./r4total*100; n4Co(isnan(0./n4Co))   = NaN; r4Co(isnan(0./r4Co))   = NaN;
    n4Cr    = r4Cr./r4total*100; n4Cr(isnan(0./n4Cr))   = NaN; r4Cr(isnan(0./r4Cr))   = NaN;
    n4Cs    = r4Cs./r4total*100; n4Cs(isnan(0./n4Cs))   = NaN; r4Cs(isnan(0./r4Cs))   = NaN;
    n4Cu    = r4Cu./r4total*100; n4Cu(isnan(0./n4Cu))   = NaN; r4Cu(isnan(0./r4Cu))   = NaN;
    n4Ga    = r4Ga./r4total*100; n4Ga(isnan(0./n4Ga))   = NaN; r4Ga(isnan(0./r4Ga))   = NaN;
    n4Ge    = r4Ge./r4total*100; n4Ge(isnan(0./n4Ge))   = NaN; r4Ge(isnan(0./r4Ge))   = NaN;
    n4Hf    = r4Hf./r4total*100; n4Hf(isnan(0./n4Hf))   = NaN; r4Hf(isnan(0./r4Hf))   = NaN;
    n4Hg    = r4Hg./r4total*100; n4Hg(isnan(0./n4Hg))   = NaN; r4Hg(isnan(0./r4Hg))   = NaN;
    n4In    = r4In./r4total*100; n4In(isnan(0./n4In))   = NaN; r4In(isnan(0./r4In))   = NaN;
    n4Li    = r4Li./r4total*100; n4Li(isnan(0./n4Li))   = NaN; r4Li(isnan(0./r4Li))   = NaN;
    n4Mo    = r4Mo./r4total*100; n4Mo(isnan(0./n4Mo))   = NaN; r4Mo(isnan(0./r4Mo))   = NaN;
    n4Nb    = r4Nb./r4total*100; n4Nb(isnan(0./n4Nb))   = NaN; r4Nb(isnan(0./r4Nb))   = NaN;
    n4Ni    = r4Ni./r4total*100; n4Ni(isnan(0./n4Ni))   = NaN; r4Ni(isnan(0./r4Ni))   = NaN;
    n4Pb    = r4Pb./r4total*100; n4Pb(isnan(0./n4Pb))   = NaN; r4Pb(isnan(0./r4Pb))   = NaN;
    n4Rb    = r4Rb./r4total*100; n4Rb(isnan(0./n4Rb))   = NaN; r4Rb(isnan(0./r4Rb))   = NaN;
    n4Re    = r4Re./r4total*100; n4Re(isnan(0./n4Re))   = NaN; r4Re(isnan(0./r4Re))   = NaN;
    n4Sb    = r4Sb./r4total*100; n4Sb(isnan(0./n4Sb))   = NaN; r4Sb(isnan(0./r4Sb))   = NaN;
    n4Sc    = r4Sc./r4total*100; n4Sc(isnan(0./n4Sc))   = NaN; r4Sc(isnan(0./r4Sc))   = NaN;
    n4Se    = r4Se./r4total*100; n4Se(isnan(0./n4Se))   = NaN; r4Se(isnan(0./r4Se))   = NaN;
    n4Sn    = r4Sn./r4total*100; n4Sn(isnan(0./n4Sn))   = NaN; r4Sn(isnan(0./r4Sn))   = NaN;
    n4Sr    = r4Sr./r4total*100; n4Sr(isnan(0./n4Sr))   = NaN; r4Sr(isnan(0./r4Sr))   = NaN;
    n4Ta    = r4Ta./r4total*100; n4Ta(isnan(0./n4Ta))   = NaN; r4Ta(isnan(0./r4Ta))   = NaN;
    n4Te    = r4Te./r4total*100; n4Te(isnan(0./n4Te))   = NaN; r4Te(isnan(0./r4Te))   = NaN;
    n4Th    = r4Th./r4total*100; n4Th(isnan(0./n4Th))   = NaN; r4Th(isnan(0./r4Th))   = NaN;
    n4Tl    = r4Tl./r4total*100; n4Tl(isnan(0./n4Tl))   = NaN; r4Tl(isnan(0./r4Tl))   = NaN;
    n4U     = r4U ./r4total*100; n4U(isnan(0./n4U))     = NaN; r4U(isnan(0./r4U))     = NaN;
    n4V     = r4V ./r4total*100; n4V(isnan(0./n4V))     = NaN; r4V(isnan(0./r4V))     = NaN;
    n4W     = r4W ./r4total*100; n4W(isnan(0./n4W))     = NaN; r4W(isnan(0./r4W))     = NaN;
    n4Y     = r4Y ./r4total*100; n4Y(isnan(0./n4Y))     = NaN; r4Y(isnan(0./r4Y))     = NaN;
    n4Zn    = r4Zn./r4total*100; n4Zn(isnan(0./n4Zn))   = NaN; r4Zn(isnan(0./r4Zn))   = NaN;
    n4Zr    = r4Zr./r4total*100; n4Zr(isnan(0./n4Zr))   = NaN; r4Zr(isnan(0./r4Zr))   = NaN;
    n4Ru    = r4Ru./r4total*100; n4Ru(isnan(0./n4Ru))   = NaN; r4Ru(isnan(0./r4Ru))   = NaN;
    n4Rh    = r4Rh./r4total*100; n4Rh(isnan(0./n4Rh))   = NaN; r4Rh(isnan(0./r4Rh))   = NaN;
    n4Pd    = r4Pd./r4total*100; n4Pd(isnan(0./n4Pd))   = NaN; r4Pd(isnan(0./r4Pd))   = NaN;
    n4Os    = r4Os./r4total*100; n4Os(isnan(0./n4Os))   = NaN; r4Os(isnan(0./r4Os))   = NaN;
    n4Ir    = r4Ir./r4total*100; n4Ir(isnan(0./n4Ir))   = NaN; r4Ir(isnan(0./r4Ir))   = NaN;
    n4Pt    = r4Pt./r4total*100; n4Pt(isnan(0./n4Pt))   = NaN; r4Pt(isnan(0./r4Pt))   = NaN; 
    n4La    = r4La./r4total*100; n4La(isnan(0./n4La))   = NaN; r4La(isnan(0./r4La))   = NaN;
    n4Ce    = r4Ce./r4total*100; n4Ce(isnan(0./n4Ce))   = NaN; r4Ce(isnan(0./r4Ce))   = NaN;
    n4Pr    = r4Pr./r4total*100; n4Pr(isnan(0./n4Pr))   = NaN; r4Pr(isnan(0./r4Pr))   = NaN;
    n4Nd    = r4Nd./r4total*100; n4Nd(isnan(0./n4Nd))   = NaN; r4Nd(isnan(0./r4Nd))   = NaN;
    n4Sm    = r4Sm./r4total*100; n4Sm(isnan(0./n4Sm))   = NaN; r4Sm(isnan(0./r4Sm))   = NaN;
    n4Eu    = r4Eu./r4total*100; n4Eu(isnan(0./n4Eu))   = NaN; r4Eu(isnan(0./r4Eu))   = NaN;
    n4Gd    = r4Gd./r4total*100; n4Gd(isnan(0./n4Gd))   = NaN; r4Gd(isnan(0./r4Gd))   = NaN;
    n4Tb    = r4Tb./r4total*100; n4Tb(isnan(0./n4Tb))   = NaN; r4Tb(isnan(0./r4Tb))   = NaN;
    n4Dy    = r4Dy./r4total*100; n4Dy(isnan(0./n4Dy))   = NaN; r4Dy(isnan(0./r4Dy))   = NaN;
    n4Ho    = r4Ho./r4total*100; n4Ho(isnan(0./n4Ho))   = NaN; r4Ho(isnan(0./r4Ho))   = NaN;
    n4Er    = r4Er./r4total*100; n4Er(isnan(0./n4Er))   = NaN; r4Er(isnan(0./r4Er))   = NaN;
    n4Tm    = r4Tm./r4total*100; n4Tm(isnan(0./n4Tm))   = NaN; r4Tm(isnan(0./r4Tm))   = NaN;
    n4Yb    = r4Yb./r4total*100; n4Yb(isnan(0./n4Yb))   = NaN; r4Yb(isnan(0./r4Yb))   = NaN;
    n4Lu    = r4Lu./r4total*100; n4Lu(isnan(0./n4Lu))   = NaN; r4Lu(isnan(0./r4Lu))   = NaN;
    
            
%% Conversion of wt.% to mol.% of main elements
    conversion2molar4
    
%% Runs statistics and Tabs
    statistics4
    tables4
