%% Re-assemble tables for third dataset

%% Creating blanks to replace volatiles that are not normalized
[h ~] = size(input_dat3); 
blank = zeros(h,1); blank(isnan(0./blank))   = NaN;

%% Creates table of normalized data
output_norm3 = [n3SiO2,n3TiO2,n3Al2O3,n3Fe2O3,n3MnO,n3MgO,n3CaO,n3Na2O,n3K2O,n3P2O5,...
        blank,blank,blank,blank,blank,blank,n3total,...                 
        n3Ag,n3As,n3Au,n3B,n3Ba,n3Be,n3Bi,n3Cd,n3Co,n3Cr,n3Cs,n3Cu,...
        n3Ga,n3Ge,n3Hf,n3Hg,n3In,n3Li,n3Mo,n3Nb,n3Ni,n3Pb,n3Rb,n3Re,...
        n3Sb,n3Sc,n3Se,n3Sn,n3Sr,n3Ta,n3Te,n3Th,n3Tl,n3U ,n3V ,n3W ,n3Y ,...
        n3Zn,n3Zr,...
        n3Ru,n3Rh,n3Pd,n3Os,n3Ir,n3Pt,...
        n3La,n3Ce,n3Pr,n3Nd,n3Sm,n3Eu,n3Gd,n3Tb,n3Dy,n3Ho,...
        n3Er,n3Tm,n3Yb,n3Lu];
    
%% Create table of normalized molar data
output_molar3 = [x3SiO2,x3TiO2,x3Al2O3,x3Fe2O3,x3MnO,x3MgO,x3CaO,x3Na2O,x3K2O,x3P2O5,x3sum];

%% Create a variable of samples lables
[h ~] = size(input_raw3);
input_samples3 = input_raw3(2:h,1);
input_he3 = input_raw3(1,2:6);
input_el3 = input_raw3(1,7:82);
input_header3 = [input_he3 input_el3];
input_comments3 = input_raw3(2:h,2:6);

%% Clear data
clear h blank input_el3 input_he3