% Petro Plot version 1.0
% Florian Riefstahl
% University of Bremen - Department 5 Geo Sciences - 2012
%
% Initializes Petro Plot. Please choose how many Excel-Spreadsheets you want to plot. 
% After choosing the file(s) the mainwindow of FastGAPP will open and show your
% choices for plotting and analysis.

function petroplot
    %% Create and then hide the GUI as it is being constructed.
   pp_sets = figure('Visible','off','Position',[600,400,400,400]);
   
   %  Construct layout and choise-buttons for interface (left side).
      a1 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[0,380,400,20]);
      a2 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[0,370,400,10]);       
      a3 = uicontrol('Style','text','String','Petro Plot v1.0',...
          'FontSize',[14],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','white','BackgroundColor','black',...
          'Position',[100,380,200,20]);
      a4 = uicontrol('Style','text','String','Which diagram?',...
          'FontSize',[16],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor',[0.1,0.1,0.1],'BackgroundColor','w',...
          'Position',[100,320,200,25]);
      a5 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.3,0.5,0.3],...
          'Position',[75,318,250,3]);
      
      %% FastGAPP 
    set0 = uicontrol('Style','pushbutton','String','Volc. QAPF - diagram',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[1,1,1],'BackgroundColor',[0.3,0.3,0.3],...
          'Position',[50,250,300,50],...
          'Callback','diamond_QAPF_volcanic');
    a20 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,239,380,2]);
    set1 = uicontrol('Style','pushbutton','String','Plut. QAPF - diagram',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.3,0.3,0.3],'BackgroundColor',[1,1,1],...
          'Position',[50,180,300,50],...
          'Callback','diamond_QAPF_plutonic');
    a21 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,169,380,2]);
    set2 = uicontrol('Style','pushbutton','String','Mafic rocks',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.2,0.2,0.2],'BackgroundColor',[0.9,0.9,0.9],...
          'Position',[50,110,300,50],...
          'Callback','tern_mafic');
    a22 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,99,380,2]);
    set3 = uicontrol('Style','pushbutton','String','Ultramafic rocks',...
          'FontSize',[14],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.1,0.1,0.1],'BackgroundColor',[0.8,0.8,0.8],...
          'Position',[50,40,300,50],...
          'Callback','tern_ultramafic');
    a22 = uicontrol('Style','text','String','',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[10,29,380,2]);

    set4 = uicontrol('Style','pushbutton','String','RESTART',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.1,0.1,0.1],'BackgroundColor',[0.8,0.8,0.6],...
          'Position',[55,5,140,20],...
          'Callback','restart_pp');
    set5 = uicontrol('Style','pushbutton','String','CLOSE',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.1,0.1,0.1],'BackgroundColor',[0.7,0.5,0.5],...
          'Position',[205,5,140,20],...
          'Callback','close_pp');
      
   %% Initialize the GUI.
   % Change to automatical resive of the window.
   set([pp_sets,a1,a2,a3,a4,a5,...
        a20,a21,...
        set0,set1,set2,set3,set4,set5],...
        'Units','normalized');
   % Change the background coluor of the GUI
   set (pp_sets,'Color','white')
   % Assign the GUI a name to appear in the window title.
   set(pp_sets,'Name','Petro Plot v1.0')
   % Move the GUI to the center of the screen.
   movegui(pp_sets,'center')
   % Make the GUI visible.
   set(pp_sets,'Visible','on');
end