%% Generate Mafic - diagram

%% Opens dialog box for single input-file
[input_file1, input_path1] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select Excel-Spreadsheet - Petro Plot v1.0');
                     
%% Reads data of the file into MATLAB-Workspace
    tic
    Status = 'Reading data...'
    Date  = datestr(clock)
    input_path_file1 = [input_path1 input_file1];
[input_dat1, ~,input_raw1] = xlsread(input_path_file1);
    Status = '...finished reading!'
    Date  = datestr(clock)
    toc

%% Runs normalization
    Plg = input_dat1(:,1);
    Ol = input_dat1(:,2);
    Px = input_dat1(:,3);

%% Calculation
    mafsum = Plg+Ol+Px;
    nPlg   = (Plg./mafsum)*sin(deg2rad(60));
    nOl   = (Ol./mafsum)+nPlg*cot(deg2rad(60));

%% Create plot
maf = figure('Visible','on','Position',[200,100,800,750]);
    movegui(maf,'center')
    set(maf,'Name','Classification of mafic rocks - Petro Plot v1.0')

%% Construct a ternary plot
    patch('Xdata',[0 1 0.5 0],'Ydata',[0 0 sin(1/3*pi) 0],'EdgeColor','w','FaceColor','white','HandleVisibility','off')
    set(gca,'visible','off','dataaspectratio',[1 1 1])
    hold all
    plot ([0 1 0.5 0],[0 0 sin(1/3*pi) 0],'Color','k','LineWidth',[2],'HandleVisibility','off')
    set(gca, 'visible', 'off','dataaspectratio',[1 1 1]);
% Plot boundaries
    plot([0.050 0.950],[0.087 0.087],[0.450 0.550],[0.779 0.779],...
         [0.100 0.500 0.900],[0.087 0.779 0.087],...
        'Marker','none','Color','k','LineStyle','-','LineWidth',[2])
    plot([0.825 0.175],[0.303 0.303],[0.675 0.325],[0.563 0.563],...
         [0.83 1.1],[0.303 0.303],[0.68 1.1],[0.563 0.563],...
        'Marker','none','Color','k','LineStyle','--','LineWidth',[2])
% Plot labels
    text(0.95,0.603,sprintf('Leuco-\ngabbro'),'HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',12,'FontWeight','b');
    text(0.95,0.263,sprintf('Mela-\ngabbro'),'HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',12,'FontWeight','b');
    text(0.5,0.43,sprintf('Olivine-\nGabbro / Norite'),'HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',10,'FontWeight','b');
    text(0.28,0.45,'Gabbro / Norite','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',10,'FontWeight','b','Rotation',60);
    text(0.72,0.45,'Troctolite','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',10,'FontWeight','b','Rotation',-60);
    text(0.5,0.04,sprintf('Plagioclase-bearing\nultramafic rock'),'HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',10,'FontWeight','b');
% Plot lines and labels
    line([0.43 0.5],[0.795 0.795],'Color',[0.2 0.2 0.2],'LineStyle','-','LineWidth',[2])
    text(0.365,0.795,'Anorthosite','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',10,'FontWeight','b');
% Plot data
plot(nOl,nPlg,'Marker','s','MarkerFaceColor',[1,0.5,0],'MarkerEdgeColor','k',...
    'MarkerSize',[5],'LineStyle','none','LineWidth',[1])
    hold off
% Axis titles
text(0.5,0.95,'IUGS classification of mafic rocks','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',14,'FontWeight','b');
text(1.05,0,'Ol','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',14,'FontWeight','b');
text(-0.05,0,'Px','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',14,'FontWeight','b');
text(0.5,0.89,'Plg','HorizontalAlignment','center',...
    'VerticalAlignment','middle','FontSize',14,'FontWeight','b');
set(gca,'dataaspectratio',[1 1 1]), axis off; axis ([0 1 0 sin(1/3*pi)])

%% Clear data
clear maf mafsum nPlg nOl Plg Ol Px
clear Status Date
clear input_path1 input_pp1