% Create ratios of Th, Ta, and Hf ratios

%% Runs the normalization script
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    normalization4
    cd(folder_plot)

%% Ta vs. Th
HFSE1 = figure('Visible','on','Position',[100,100,750,750]);
      set(HFSE1,'Name','Ta vs. Th - FGAPP v1.0 - 4 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r4Th,r4Ta,'^','MarkerEdgeColor','k',...
                    'MarkerFaceColor','y',...
                    'MarkerSize',6)
loglog(r3Th,r3Ta,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Th,r2Ta,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Th,r1Ta,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Th/Ta = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Th/Ta = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Th/Ta = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    xlabel('Th [ppm]','fontsize',12,'fontweight','b')
    ylabel('Ta [ppm]','fontsize',12,'fontweight','b')
    
%% Th vs. Ta
HFSE2 = figure('Visible','on','Position',[110,110,750,750]);
      set(HFSE2,'Name','Th vs. Ta - FGAPP v1.0 - 4 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r4Ta,r4Th,'^','MarkerEdgeColor','k',...
                    'MarkerFaceColor','y',...
                    'MarkerSize',6)
loglog(r3Ta,r3Th,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Ta,r2Th,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Ta,r1Th,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Ta/Th = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Ta/Th = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Ta/Th = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    xlabel('Ta [ppm]','fontsize',12,'fontweight','b')
    ylabel('Th [ppm]','fontsize',12,'fontweight','b')
    
%% Hf vs. Ta
HFSE3 = figure('Visible','on','Position',[120,120,750,750]);
      set(HFSE3,'Name','Hf vs. Ta - FGAPP v1.0 - 4 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r4Ta,r4Hf,'^','MarkerEdgeColor','k',...
                    'MarkerFaceColor','y',...
                    'MarkerSize',6)
loglog(r3Ta,r3Hf,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Ta,r2Hf,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Ta,r1Hf,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Ta/Hf = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Ta/Hf = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Ta/Hf = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Hf [ppm]','fontsize',12,'fontweight','b')
    xlabel('Ta [ppm]','fontsize',12,'fontweight','b')
    
%% Ta vs. Hf
HFSE4 = figure('Visible','on','Position',[130,130,750,750]);
      set(HFSE4,'Name','Ta vs. Hf - FGAPP v1.0 - 4 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r4Hf,r4Ta,'^','MarkerEdgeColor','k',...
                    'MarkerFaceColor','y',...
                    'MarkerSize',6)
loglog(r3Hf,r3Ta,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Hf,r2Ta,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Hf,r1Ta,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Hf/Ta = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Hf/Ta = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Hf/Ta = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Ta [ppm]','fontsize',12,'fontweight','b')
    xlabel('Hf [ppm]','fontsize',12,'fontweight','b')
    
%% Hf vs. Th
HFSE5 = figure('Visible','on','Position',[140,140,750,750]);
      set(HFSE5,'Name','Hf vs. Th - FGAPP v1.0 - 4 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r4Th,r4Hf,'^','MarkerEdgeColor','k',...
                    'MarkerFaceColor','y',...
                    'MarkerSize',6)
loglog(r3Th,r3Hf,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Th,r2Hf,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Th,r1Hf,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Th/Hf = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Th/Hf = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Th/Hf = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Hf [ppm]','fontsize',12,'fontweight','b')
    xlabel('Th [ppm]','fontsize',12,'fontweight','b')
    
%% Th vs. Hf
HFSE6 = figure('Visible','on','Position',[150,150,750,750]);
      set(HFSE6,'Name','Th vs. Hf - FGAPP v1.0 - 4 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r4Hf,r4Th,'^','MarkerEdgeColor','k',...
                    'MarkerFaceColor','y',...
                    'MarkerSize',6)
loglog(r3Hf,r3Th,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Hf,r2Th,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Hf,r1Th,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Hf/Th = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Hf/Th = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Hf/Th = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Th [ppm]','fontsize',12,'fontweight','b')
    xlabel('Hf [ppm]','fontsize',12,'fontweight','b')
    
    %% Clear data
clear HFSE1 HFSE2 HFSE3 HFSE4 HFSE5 HFSE6