%% Discussions on LOI

% Runs the normalization script
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    normalization4
    cd(folder_plot)

    %% Create plots
% Create figure
    LOI1 = figure('Visible','on','Position',[150,100,1200,500]);
    set(LOI1,'Name','LOI Normalizing - FastGAPP v1.0 - 4 datasets')
                        
% 1 calc. all (LOI-free) vs. calc. all
subplot(1,2,1); plot([0 110],[0 110],'k-',[97 97],[0 110],'k--',[0 110],[97 97],'k--','LineWidth',2)
                                 hold all
                plot(r4totalLOI,r4total,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3totalLOI,r3total,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2totalLOI,r2total,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1totalLOI,r1total,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([80 105]); ylim([80 105]);
                        xlabel('Total (all elements) [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Total (all elements, LOI-free) [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',80:5:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',80:5:105,'LineWidth',2,'fontsize',8,'fontweight','b')


% 2 calc. main elements (LOI-free) vs. calc. main elements
subplot(1,2,2); plot([0 110],[0 110],'k-',[97 97],[0 110],'k--',[0 110],[97 97],'k--','LineWidth',2)
                                 hold all
                plot(r4totalLOImain,r4totalmain,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3totalLOImain,r3totalmain,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2totalLOImain,r2totalmain,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1totalLOImain,r1totalmain,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([80 105]); ylim([80 105]);
                        xlabel('Total (only main elements) [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Total (only main elements, LOI-free) [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',80:5:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',80:5:105,'LineWidth',2,'fontsize',8,'fontweight','b')

    %% Plot H2O + CO2
    % Create figure
    LOI2 = figure('Visible','on','Position',[160,120,750,700]);
    set(LOI2,'Name','LOI Normalizing - FastGAPP v1.0 - 4 datasets')    
    plot([0 3],[3 0],'k--','LineWidth',2)
    text(0.4,2.2,'H_2O + CO_2 < 3 wt.%','fontsize',12,'fontweight','b','Rotation',-45,'BackgroundColor','w')
                                     hold all
                plot(r4H2O,r4CO2,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3H2O,r3CO2,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2H2O,r2CO2,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1H2O,r1CO2,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([0 7]); ylim([0 7]);
                        xlabel('Input H_2O [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Input CO_2 [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',0:1:10,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:1:10,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
    %% Plot H2O vs. CO2
    % Create figure
    LOI3 = figure('Visible','on','Position',[160,120,750,700]);
    set(LOI3,'Name','LOI Normalizing - FastGAPP v1.0 - 4 datasets')    
    plot([0 3],[3 0],'k--','LineWidth',2)
    text(0.4,2.2,'H_2O + CO_2 < 3 wt.%','fontsize',6,'fontweight','b','Rotation',-45,'BackgroundColor','w')
                                     hold all
                plot(r4H2O,r4CO2,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3H2O,r3CO2,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2H2O,r2CO2,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1H2O,r1CO2,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([0 15]); ylim([0 15]);
                        xlabel('Input H_2O [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Input CO_2 [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',0:1:15,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:1:15,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
    %% Plot H2O+CO2 vs. LOI-free
    % Create figure
    LOI4 = figure('Visible','on','Position',[170,130,750,700]);
    set(LOI4,'Name','LOI Normalizing - FastGAPP v1.0 - 4 datasets')    
    plot([0 20],[100 80],'k--',[0 18], [98 80],'k--',[3 3], [82 102],'k--','LineWidth',2)
    text(2.7,89,'LOI < 3 wt.%','fontsize',12,'fontweight','b','Rotation',90,'BackgroundColor','w')
                                     hold all
                plot(r4H2O+r4CO2,r4totalmain,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3H2O+r3CO2,r3totalmain,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2H2O+r2CO2,r2totalmain,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1H2O+r1CO2,r1totalmain,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([0 20]); ylim([82 102]);
                        xlabel('Input H_2O + CO_2 [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Total (only main elements, LOI-free) [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',82:2:102,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:20,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
    %% Plot LOI vs. LOI-free
    % Create figure
    LOI5 = figure('Visible','on','Position',[180,140,750,700]);
    set(LOI5,'Name','LOI Normalizing - FastGAPP v1.0 - 4 datasets')    
    plot([0 20],[100 80],'k--',[0 18], [98 80],'k--',[3 3], [82 102],'k--','LineWidth',2)
    text(2.7,89,'LOI < 3 wt.%','fontsize',12,'fontweight','b','Rotation',90,'BackgroundColor','w')
                                     hold all
                plot(r4LOIonly,r4totalmain,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3LOIonly,r3totalmain,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2LOIonly,r2totalmain,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1LOIonly,r1totalmain,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([0 20]); ylim([82 102]);
                        xlabel('Calculated LOI [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Total (only main elements, LOI-free) [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',82:2:102,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:20,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
    %% Plot LOI vs. LOI-free
    % Create figure
    LOI6 = figure('Visible','on','Position',[190,150,750,700]);
    set(LOI6,'Name','LOI Normalizing - FastGAPP v1.0 - 4 datasets')    
    plot([0 20],[100 80],'k--',[0 18], [98 80],'k--',[3 3], [82 102],'k--','LineWidth',2)
    text(2.7,89,'LOI < 3 wt.%','fontsize',12,'fontweight','b','Rotation',90,'BackgroundColor','w')
                                     hold all
                plot(r4LOIonly,r4total,'^','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','y',...
                                     'MarkerSize',6)
                plot(r3LOIonly,r3total,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',6)
                plot(r2LOIonly,r2total,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1LOIonly,r1total,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([0 20]); ylim([82 102]);
                        xlabel('Calculated LOI [wt.%]','fontsize',12,'fontweight','b')
                        ylabel('Total (all elements, LOI-free) [wt.%]','fontsize',12,'fontweight','b')
                        set(gca,'YTick',82:2:102,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:20,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
	%% Clear data
clear LOI1 LOI2 LOI3 LOI4 LOI5 LOI6