% Discussion on contents of main/trace elements

% Runs the normalization script
    cd(folder_norm)
    normalization1
    normalization2
    cd(folder_plot)

    %% Create plots
% Create figure
    MT1 = figure('Visible','on','Position',[150,100,800,800]);
    set(MT1,'Name','Normalizing - FastGAPP v1.0 - 2 datasets')
    
% 1 Input vs. calculated all
subplot(2,2,1); plot([0 110],[0 110],'k-','LineWidth',2)
                                 hold all
                plot([99 99],[0 102],'k--',[100 100],[0 102],'k--',[101 101],[0 102],'k--','LineWidth',2)
                plot([0 102],[99 99],'k--',[0 102],[100 100],'k--',[0 102],[101 101],'k--','LineWidth',2)
                plot(r2totalLOI,r2totalinput,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1totalLOI,r1totalinput,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([98 102]); ylim([98 102]);
                        xlabel('Total (all elements) [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Total (input) [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'YTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')

% 2 Input vs. calc. main elements
subplot(2,2,2); plot([0 110],[0 110],'k-','LineWidth',2)
                                 hold all
                plot([99 99],[0 102],'k--',[100 100],[0 102],'k--',[101 101],[0 102],'k--','LineWidth',2)
                plot([0 102],[99 99],'k--',[0 102],[100 100],'k--',[0 102],[101 101],'k--','LineWidth',2)
                plot(r2totalLOImain,r2totalinput,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1totalLOImain,r1totalinput,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([98 102]); ylim([98 102]);
                        xlabel('Total (only main elements) [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Total (input) [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'YTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
% 3 Main vs. Trace
subplot(2,2,3); plot([0 110],[0 110],'k-','LineWidth',2)
                                 hold all
                plot([99 99],[0 102],'k--',[100 100],[0 102],'k--',[101 101],[0 102],'k--','LineWidth',2)
                plot([0 102],[99 99],'k--',[0 102],[100 100],'k--',[0 102],[101 101],'k--','LineWidth',2)
                plot(r2totalLOI,r2totalLOImain,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1totalLOI,r1totalLOImain,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([98 102]); ylim([98 102]);
                        xlabel('Total (all elements) [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Total (only main elements) [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'YTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
% 4 Input vs. calc. main elements
subplot(2,2,4); plot([0 110],[0 110],'k-','LineWidth',2)
                                 hold all
                plot([99 99],[0 102],'k--',[100 100],[0 102],'k--',[101 101],[0 102],'k--','LineWidth',2)
                plot([0 102],[99 99],'k--',[0 102],[100 100],'k--',[0 102],[101 101],'k--','LineWidth',2)
                plot(r2totalLOImain,r2totalLOI,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1totalLOImain,r1totalLOI,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
                        xlim([98 102]); ylim([98 102]);
                        xlabel('Total (only main elements) [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Total (all elements) [wt.%]','fontsize',8,'fontweight','b')
                        set(gca,'YTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        set(gca,'XTick',95:1:105,'LineWidth',2,'fontsize',8,'fontweight','b')
                        
%% Second plot Calculation
    r1trace = r1totalLOI-r1totalLOImain;
    r2trace = r2totalLOI-r2totalLOImain;
    
%% Plot
    MT2 = figure('Visible','on','Position',[300,150,800,600]);
    set(MT2,'Name','Normalizing - FastGAPP v1.0 - 2 datasets')
    plot([0.5 0.5],[99 101],'k--',[0 1],[99.5 99.5],'k--',[0 1],[100 100],'k--',...
          [0 1],[100.5 100.5],'k--','LineWidth',2)
                                 hold all
                plot(r2trace,r2totalLOImain,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',6)
                plot(r1trace,r1totalLOImain,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',6)
                                 hold off
    xlim([0 1]); ylim([99 101]);
    xlabel('Total (trace elements) [wt.%]','fontsize',8,'fontweight','b')
    ylabel('Total (only main elements) [wt.%]','fontsize',8,'fontweight','b')
    set(gca,'YTick',99:0.2:101,'LineWidth',2,'fontsize',8,'fontweight','b')
    set(gca,'XTick',0:0.1:1,'LineWidth',2,'fontsize',8,'fontweight','b')
    
    
%% Clear data
clear MT1 MT2 r1trace r2trace