%% Creates ratios of Nb, Y, and Zr

% Runs normalization
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    cd(folder_plot)

%% Y vs. Nb
NbZrY1 = figure('Visible','on','Position',[100,100,750,750]);
      set(NbZrY1,'Name','Y vs. Nb - FGAPP v1.0 - 3 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r3Nb,r3Y,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Nb,r2Y,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Nb,r1Y,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Nb/Y = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Nb/Y = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Nb/Y = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    xlabel('Nb [ppm]','fontsize',12,'fontweight','b')
    ylabel('Y [ppm]','fontsize',12,'fontweight','b')
    
%% Nb vs. Y
NbZrY2 = figure('Visible','on','Position',[110,110,750,750]);
      set(NbZrY2,'Name','Nb vs. Y - FGAPP v1.0 - 3 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r3Y,r3Nb,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Y,r2Nb,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Y,r1Nb,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Y/Nb = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Y/Nb = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Y/Nb = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    xlabel('Y [ppm]','fontsize',12,'fontweight','b')
    ylabel('Nb [ppm]','fontsize',12,'fontweight','b')
    
%% Zr/Y
NbZrY3 = figure('Visible','on','Position',[120,120,750,750]);
      set(NbZrY3,'Name','Zr vs. Y - FGAPP v1.0 - 3 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r3Y,r3Zr,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Y,r2Zr,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Y,r1Zr,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Y/Zr = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Y/Zr = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Y/Zr = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Zr [ppm]','fontsize',12,'fontweight','b')
    xlabel('Y [ppm]','fontsize',12,'fontweight','b')
    
%% Y vs. Zr
NbZrY4 = figure('Visible','on','Position',[130,130,750,750]);
      set(NbZrY4,'Name','Y vs. Zr - FGAPP v1.0 - 3 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r3Zr,r3Y,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Zr,r2Y,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Zr,r1Y,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Zr/Y = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Zr/Y = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Zr/Y = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Y [ppm]','fontsize',12,'fontweight','b')
    xlabel('Zr [ppm]','fontsize',12,'fontweight','b')

%% Nb/Zr
NbZrY5 = figure('Visible','on','Position',[140,140,750,750]);
      set(NbZrY5,'Name','Nb vs. Zr - FGAPP v1.0 - 3 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r3Zr,r3Nb,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Zr,r2Nb,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Zr,r1Nb,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Nb/Zr = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Nb/Zr = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Nb/Zr = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Nb [ppm]','fontsize',12,'fontweight','b')
    xlabel('Zr [ppm]','fontsize',12,'fontweight','b')
    
%% Zr/Nb
NbZrY6 = figure('Visible','on','Position',[150,150,750,750]);
      set(NbZrY6,'Name','Zr vs. Nb - FGAPP v1.0 - 3 datasets')
loglog([0.001 10000],...
       [0.001 10000],'k-',...
       [0.001 10000],...
       [0.005 50000],'k-',...
       [0.005 50000],...
       [0.001 10000],'k-',...
       'LineWidth',2)
    hold all
loglog(r3Nb,r3Zr,'v','MarkerEdgeColor','k',...
                    'MarkerFaceColor','g',...
                    'MarkerSize',6)
loglog(r2Nb,r2Zr,'o','MarkerEdgeColor','k',...
                    'MarkerFaceColor','b',...
                    'MarkerSize',6)
loglog(r1Nb,r1Zr,'s','MarkerEdgeColor','k',...
                    'MarkerFaceColor','r',...
                    'MarkerSize',6)
    hold off
    text(9,50,'Zr/Nb = 0.2','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,10,'Zr/Nb = 1','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    text(9,2,'Zr/Nb = 5','fontsize',8,'fontweight','b','Rotation',45,'VerticalAlignment','bottom')
    axis ([0.001 10000 0.001 10000])
    set(gca,'XTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'XTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTick',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'YTickLabel',[0.001 0.01 0.1 1 10 100 1000 10000],...
            'LineWidth',2,'fontweight','b')
    ylabel('Zr [ppm]','fontsize',12,'fontweight','b')
    xlabel('Nb [ppm]','fontsize',12,'fontweight','b')
    
    %% Clear data
clear NbZrY1 NbZrY2 NbZrY3 NbZrY4 NbZrY5 NbZrY6