%% Calculate molar weights for main elements for first dataset
% Input molar weights
    mol_wt.O  = 15.9994; mol_wt.Na = 22.989770; mol_wt.Mg = 24.3050; 
    mol_wt.Al = 26.9815; mol_wt.Si = 28.0855;   mol_wt.P  = 30.9737;
    mol_wt.K  = 39.0983; mol_wt.Ca = 40.078;    mol_wt.Ti = 47.867; 
    mol_wt.Mn = 54.938;  mol_wt.Fe = 55.845;
% Recalculation of main elements
    x1SiO2 = r1SiO2./(mol_wt.Si+2*mol_wt.O);
    x1TiO2 = r1TiO2./(mol_wt.Ti+2*mol_wt.O);
    x1Al2O3 = r1Al2O3./(mol_wt.Al*2+3*mol_wt.O);
    x1Fe2O3 = r1Fe2O3./(mol_wt.Fe*2+3*mol_wt.O);
    x1MnO = r1MnO./(mol_wt.Mn+mol_wt.O);
    x1MgO = r1MgO./(mol_wt.Mg+mol_wt.O);
    x1CaO = r1CaO./(mol_wt.Ca+mol_wt.O);
    x1Na2O = r1Na2O./(mol_wt.Na*2+mol_wt.O);
    x1K2O = r1K2O./(mol_wt.K*2+mol_wt.O);
    x1P2O5 = r1P2O5./(mol_wt.P*2+5*mol_wt.O);
    x1sum = x1SiO2+x1TiO2+x1Al2O3+x1Fe2O3+x1MnO+x1MgO+x1CaO+x1Na2O+x1K2O+x1P2O5;
% Normalization of main elements
    x1SiO2 = x1SiO2./x1sum*100;
    x1TiO2 = x1TiO2./x1sum*100;
    x1Al2O3 = x1Al2O3./x1sum*100;
    x1Fe2O3 = x1Fe2O3./x1sum*100;
    x1MnO = x1MnO./x1sum*100;
    x1MgO = x1MgO./x1sum*100;
    x1CaO = x1CaO./x1sum*100;
    x1Na2O = x1Na2O./x1sum*100;
    x1K2O = x1K2O./x1sum*100;
    x1P2O5 = x1P2O5./x1sum*100;
    x1sum = x1SiO2+x1TiO2+x1Al2O3+x1Fe2O3+x1MnO+x1MgO+x1CaO+x1Na2O+x1K2O+x1P2O5;
% Clear molar weights
    clear mol_wt
    
%% Create table of normalized molar data
    output_molar1 = [x1SiO2,x1TiO2,x1Al2O3,x1Fe2O3,x1MnO,x1MgO,x1CaO,x1Na2O,x1K2O,x1P2O5,x1sum];

%% Molar Statistics - First dataset
    output_molar_stat1 = cat(2,...
                        [sum(isfinite(1./x1SiO2)); max(x1SiO2); mean(x1SiO2(isfinite(x1SiO2))); min(x1SiO2)],...
                        [sum(isfinite(1./x1TiO2)); max(x1TiO2); mean(x1TiO2(isfinite(x1TiO2))); min(x1TiO2)],...
                        [sum(isfinite(1./x1Al2O3)); max(x1Al2O3); mean(x1Al2O3(isfinite(x1Al2O3))); min(x1Al2O3)],...
                        [sum(isfinite(1./x1Fe2O3)); max(x1Fe2O3); mean(x1Fe2O3(isfinite(x1Fe2O3))); min(x1Fe2O3)],...
                        [sum(isfinite(1./x1MnO)); max(x1MnO); mean(x1MnO(isfinite(x1MnO))); min(x1MnO)],...
                        [sum(isfinite(1./x1MgO)); max(x1MgO); mean(x1MgO(isfinite(x1MgO))); min(x1MgO)],...
                        [sum(isfinite(1./x1CaO)); max(x1CaO); mean(x1CaO(isfinite(x1CaO))); min(x1CaO)],...
                        [sum(isfinite(1./x1Na2O)); max(x1Na2O); mean(x1Na2O(isfinite(x1Na2O))); min(x1Na2O)],...
                        [sum(isfinite(1./x1K2O)); max(x1K2O); mean(x1K2O(isfinite(x1K2O))); min(x1K2O)],...
                        [sum(isfinite(1./x1P2O5)); max(x1P2O5); mean(x1P2O5(isfinite(x1P2O5))); min(x1P2O5)],...
                        [sum(isfinite(1./x1sum)); max(x1sum); mean(x1sum(isfinite(x1sum))); min(x1sum)]);

% Turn zeros to NaN's
output_molar_stat1(isnan(0./output_molar_stat1)) = NaN;