%% Calculate molar weights for main elements for second dataset
% Input molar weights
    mol_wt.O  = 15.9994; mol_wt.Na = 22.989770; mol_wt.Mg = 24.3050; 
    mol_wt.Al = 26.9815; mol_wt.Si = 28.0855;   mol_wt.P  = 30.9737;
    mol_wt.K  = 39.0983; mol_wt.Ca = 40.078;    mol_wt.Ti = 47.867; 
    mol_wt.Mn = 54.938;  mol_wt.Fe = 55.845;
% Recalculation of main elements
    x2SiO2 = r2SiO2./(mol_wt.Si+2*mol_wt.O);
    x2TiO2 = r2TiO2./(mol_wt.Ti+2*mol_wt.O);
    x2Al2O3 = r2Al2O3./(mol_wt.Al*2+3*mol_wt.O);
    x2Fe2O3 = r2Fe2O3./(mol_wt.Fe*2+3*mol_wt.O);
    x2MnO = r2MnO./(mol_wt.Mn+mol_wt.O);
    x2MgO = r2MgO./(mol_wt.Mg+mol_wt.O);
    x2CaO = r2CaO./(mol_wt.Ca+mol_wt.O);
    x2Na2O = r2Na2O./(mol_wt.Na*2+mol_wt.O);
    x2K2O = r2K2O./(mol_wt.K*2+mol_wt.O);
    x2P2O5 = r2P2O5./(mol_wt.P*2+5*mol_wt.O);
    x2sum = x2SiO2+x2TiO2+x2Al2O3+x2Fe2O3+x2MnO+x2MgO+x2CaO+x2Na2O+x2K2O+x2P2O5;
% Normalization of main elements
    x2SiO2 = x2SiO2./x2sum*100;
    x2TiO2 = x2TiO2./x2sum*100;
    x2Al2O3 = x2Al2O3./x2sum*100;
    x2Fe2O3 = x2Fe2O3./x2sum*100;
    x2MnO = x2MnO./x2sum*100;
    x2MgO = x2MgO./x2sum*100;
    x2CaO = x2CaO./x2sum*100;
    x2Na2O = x2Na2O./x2sum*100;
    x2K2O = x2K2O./x2sum*100;
    x2P2O5 = x2P2O5./x2sum*100;
    x2sum = x2SiO2+x2TiO2+x2Al2O3+x2Fe2O3+x2MnO+x2MgO+x2CaO+x2Na2O+x2K2O+x2P2O5;
% Clear molar weights
    clear mol_wt
    
%% Create table of normalized molar data
    output_molar2 = [x2SiO2,x2TiO2,x2Al2O3,x2Fe2O3,x2MnO,x2MgO,x2CaO,x2Na2O,x2K2O,x2P2O5,x2sum];

%% Molar Statistics - First dataset
    output_molar_stat2 = cat(2,...
                        [sum(isfinite(1./x2SiO2)); max(x2SiO2); mean(x2SiO2(isfinite(x2SiO2))); min(x2SiO2)],...
                        [sum(isfinite(1./x2TiO2)); max(x2TiO2); mean(x2TiO2(isfinite(x2TiO2))); min(x2TiO2)],...
                        [sum(isfinite(1./x2Al2O3)); max(x2Al2O3); mean(x2Al2O3(isfinite(x2Al2O3))); min(x2Al2O3)],...
                        [sum(isfinite(1./x2Fe2O3)); max(x2Fe2O3); mean(x2Fe2O3(isfinite(x2Fe2O3))); min(x2Fe2O3)],...
                        [sum(isfinite(1./x2MnO)); max(x2MnO); mean(x2MnO(isfinite(x2MnO))); min(x2MnO)],...
                        [sum(isfinite(1./x2MgO)); max(x2MgO); mean(x2MgO(isfinite(x2MgO))); min(x2MgO)],...
                        [sum(isfinite(1./x2CaO)); max(x2CaO); mean(x2CaO(isfinite(x2CaO))); min(x2CaO)],...
                        [sum(isfinite(1./x2Na2O)); max(x2Na2O); mean(x2Na2O(isfinite(x2Na2O))); min(x2Na2O)],...
                        [sum(isfinite(1./x2K2O)); max(x2K2O); mean(x2K2O(isfinite(x2K2O))); min(x2K2O)],...
                        [sum(isfinite(1./x2P2O5)); max(x2P2O5); mean(x2P2O5(isfinite(x2P2O5))); min(x2P2O5)],...
                        [sum(isfinite(1./x2sum)); max(x2sum); mean(x2sum(isfinite(x2sum))); min(x2sum)]);

% Turn zeros to NaN's
output_molar_stat2(isnan(0./output_molar_stat2)) = NaN;