%% Calculate molar weights for main elements for third dataset
% Input molar weights
    mol_wt.O  = 15.9994; mol_wt.Na = 22.989770; mol_wt.Mg = 24.3050; 
    mol_wt.Al = 26.9815; mol_wt.Si = 28.0855;   mol_wt.P  = 30.9737;
    mol_wt.K  = 39.0983; mol_wt.Ca = 40.078;    mol_wt.Ti = 47.867; 
    mol_wt.Mn = 54.938;  mol_wt.Fe = 55.845;
% Recalculation of main elements
    x3SiO2 = r3SiO2./(mol_wt.Si+2*mol_wt.O);
    x3TiO2 = r3TiO2./(mol_wt.Ti+2*mol_wt.O);
    x3Al2O3 = r3Al2O3./(mol_wt.Al*2+3*mol_wt.O);
    x3Fe2O3 = r3Fe2O3./(mol_wt.Fe*2+3*mol_wt.O);
    x3MnO = r3MnO./(mol_wt.Mn+mol_wt.O);
    x3MgO = r3MgO./(mol_wt.Mg+mol_wt.O);
    x3CaO = r3CaO./(mol_wt.Ca+mol_wt.O);
    x3Na2O = r3Na2O./(mol_wt.Na*2+mol_wt.O);
    x3K2O = r3K2O./(mol_wt.K*2+mol_wt.O);
    x3P2O5 = r3P2O5./(mol_wt.P*2+5*mol_wt.O);
    x3sum = x3SiO2+x3TiO2+x3Al2O3+x3Fe2O3+x3MnO+x3MgO+x3CaO+x3Na2O+x3K2O+x3P2O5;
% Normalization of main elements
    x3SiO2 = x3SiO2./x3sum*100;
    x3TiO2 = x3TiO2./x3sum*100;
    x3Al2O3 = x3Al2O3./x3sum*100;
    x3Fe2O3 = x3Fe2O3./x3sum*100;
    x3MnO = x3MnO./x3sum*100;
    x3MgO = x3MgO./x3sum*100;
    x3CaO = x3CaO./x3sum*100;
    x3Na2O = x3Na2O./x3sum*100;
    x3K2O = x3K2O./x3sum*100;
    x3P2O5 = x3P2O5./x3sum*100;
    x3sum = x3SiO2+x3TiO2+x3Al2O3+x3Fe2O3+x3MnO+x3MgO+x3CaO+x3Na2O+x3K2O+x3P2O5;
% Clear molar weights
    clear mol_wt
    
%% Create table of normalized molar data
    output_molar3 = [x3SiO2,x3TiO2,x3Al2O3,x3Fe2O3,x3MnO,x3MgO,x3CaO,x3Na2O,x3K2O,x3P2O5,x3sum];

%% Molar Statistics - First dataset
    output_molar_stat3 = cat(2,...
                        [sum(isfinite(1./x3SiO2)); max(x3SiO2); mean(x3SiO2(isfinite(x3SiO2))); min(x3SiO2)],...
                        [sum(isfinite(1./x3TiO2)); max(x3TiO2); mean(x3TiO2(isfinite(x3TiO2))); min(x3TiO2)],...
                        [sum(isfinite(1./x3Al2O3)); max(x3Al2O3); mean(x3Al2O3(isfinite(x3Al2O3))); min(x3Al2O3)],...
                        [sum(isfinite(1./x3Fe2O3)); max(x3Fe2O3); mean(x3Fe2O3(isfinite(x3Fe2O3))); min(x3Fe2O3)],...
                        [sum(isfinite(1./x3MnO)); max(x3MnO); mean(x3MnO(isfinite(x3MnO))); min(x3MnO)],...
                        [sum(isfinite(1./x3MgO)); max(x3MgO); mean(x3MgO(isfinite(x3MgO))); min(x3MgO)],...
                        [sum(isfinite(1./x3CaO)); max(x3CaO); mean(x3CaO(isfinite(x3CaO))); min(x3CaO)],...
                        [sum(isfinite(1./x3Na2O)); max(x3Na2O); mean(x3Na2O(isfinite(x3Na2O))); min(x3Na2O)],...
                        [sum(isfinite(1./x3K2O)); max(x3K2O); mean(x3K2O(isfinite(x3K2O))); min(x3K2O)],...
                        [sum(isfinite(1./x3P2O5)); max(x3P2O5); mean(x3P2O5(isfinite(x3P2O5))); min(x3P2O5)],...
                        [sum(isfinite(1./x3sum)); max(x3sum); mean(x3sum(isfinite(x3sum))); min(x3sum)]);

% Turn zeros to NaN's
output_molar_stat3(isnan(0./output_molar_stat3)) = NaN;