%% Calculate molar weights for main elements for fourth dataset
% Input molar weights
    mol_wt.O  = 15.9994; mol_wt.Na = 22.989770; mol_wt.Mg = 24.3050; 
    mol_wt.Al = 26.9815; mol_wt.Si = 28.0855;   mol_wt.P  = 30.9737;
    mol_wt.K  = 39.0983; mol_wt.Ca = 40.078;    mol_wt.Ti = 47.867; 
    mol_wt.Mn = 54.938;  mol_wt.Fe = 55.845;
% Recalculation of main elements
    x4SiO2 = r4SiO2./(mol_wt.Si+2*mol_wt.O);
    x4TiO2 = r4TiO2./(mol_wt.Ti+2*mol_wt.O);
    x4Al2O3 = r4Al2O3./(mol_wt.Al*2+3*mol_wt.O);
    x4Fe2O3 = r4Fe2O3./(mol_wt.Fe*2+3*mol_wt.O);
    x4MnO = r4MnO./(mol_wt.Mn+mol_wt.O);
    x4MgO = r4MgO./(mol_wt.Mg+mol_wt.O);
    x4CaO = r4CaO./(mol_wt.Ca+mol_wt.O);
    x4Na2O = r4Na2O./(mol_wt.Na*2+mol_wt.O);
    x4K2O = r4K2O./(mol_wt.K*2+mol_wt.O);
    x4P2O5 = r4P2O5./(mol_wt.P*2+5*mol_wt.O);
    x4sum = x4SiO2+x4TiO2+x4Al2O3+x4Fe2O3+x4MnO+x4MgO+x4CaO+x4Na2O+x4K2O+x4P2O5;
% Normalization of main elements
    x4SiO2 = x4SiO2./x4sum*100;
    x4TiO2 = x4TiO2./x4sum*100;
    x4Al2O3 = x4Al2O3./x4sum*100;
    x4Fe2O3 = x4Fe2O3./x4sum*100;
    x4MnO = x4MnO./x4sum*100;
    x4MgO = x4MgO./x4sum*100;
    x4CaO = x4CaO./x4sum*100;
    x4Na2O = x4Na2O./x4sum*100;
    x4K2O = x4K2O./x4sum*100;
    x4P2O5 = x4P2O5./x4sum*100;
    x4sum = x4SiO2+x4TiO2+x4Al2O3+x4Fe2O3+x4MnO+x4MgO+x4CaO+x4Na2O+x4K2O+x4P2O5;
% Clear molar weights
    clear mol_wt
    
%% Create table of normalized molar data
    output_molar4 = [x4SiO2,x4TiO2,x4Al2O3,x4Fe2O3,x4MnO,x4MgO,x4CaO,x4Na2O,x4K2O,x4P2O5,x4sum];

%% Molar Statistics - First dataset
    output_molar_stat4 = cat(2,...
                        [sum(isfinite(1./x4SiO2)); max(x4SiO2); mean(x4SiO2(isfinite(x4SiO2))); min(x4SiO2)],...
                        [sum(isfinite(1./x4TiO2)); max(x4TiO2); mean(x4TiO2(isfinite(x4TiO2))); min(x4TiO2)],...
                        [sum(isfinite(1./x4Al2O3)); max(x4Al2O3); mean(x4Al2O3(isfinite(x4Al2O3))); min(x4Al2O3)],...
                        [sum(isfinite(1./x4Fe2O3)); max(x4Fe2O3); mean(x4Fe2O3(isfinite(x4Fe2O3))); min(x4Fe2O3)],...
                        [sum(isfinite(1./x4MnO)); max(x4MnO); mean(x4MnO(isfinite(x4MnO))); min(x4MnO)],...
                        [sum(isfinite(1./x4MgO)); max(x4MgO); mean(x4MgO(isfinite(x4MgO))); min(x4MgO)],...
                        [sum(isfinite(1./x4CaO)); max(x4CaO); mean(x4CaO(isfinite(x4CaO))); min(x4CaO)],...
                        [sum(isfinite(1./x4Na2O)); max(x4Na2O); mean(x4Na2O(isfinite(x4Na2O))); min(x4Na2O)],...
                        [sum(isfinite(1./x4K2O)); max(x4K2O); mean(x4K2O(isfinite(x4K2O))); min(x4K2O)],...
                        [sum(isfinite(1./x4P2O5)); max(x4P2O5); mean(x4P2O5(isfinite(x4P2O5))); min(x4P2O5)],...
                        [sum(isfinite(1./x4sum)); max(x4sum); mean(x4sum(isfinite(x4sum))); min(x4sum)]);

% Turn zeros to NaN's
output_molar_stat4(isnan(0./output_molar_stat4)) = NaN;