%% Create cross-Plots over Al2O3

% Runs main element normalization
    cd(folder_norm)
    normalization1
    cd(folder_plot)

% Generate data
    cross1a = (n1Fe2O3./n1Al2O3);
    cross2a = (n1MgO./n1Al2O3);
    cross3a = (n1MnO./n1Al2O3);
    cross4a = (n1TiO2./n1Al2O3);
    cross5a = (n1Na2O./n1Al2O3);
    cross6a = (n1K2O./n1Al2O3);
    cross7a = (n1CaO./n1Al2O3);
    cross8a = (n1P2O5./n1Al2O3);
    
crossplots1_Al2O3 = figure('Visible','on','Position',[200,100,600,800]);
    set(crossplots1_Al2O3,'Name','Cross-Plots (Al2O3) - FGAPP v1.0 - 1 dataset')

    %% Create crossplots
% 1.1
subplot(4,2,1); plot(n1Al2O3,cross1a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Fe_2O_3/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 1.2
subplot(4,2,2); plot(n1Al2O3,cross2a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MgO/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 2.1
subplot(4,2,3); plot(n1Al2O3,cross3a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MnO/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 2.2
subplot(4,2,4); plot(n1Al2O3,cross4a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('TiO_2/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3.1
subplot(4,2,5); plot(n1Al2O3,cross5a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Na_2O/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 3.2
subplot(4,2,6); plot(n1Al2O3,cross6a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('K_2O/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4.1
subplot(4,2,7); plot(n1Al2O3,cross7a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('CaO/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4.2
subplot(4,2,8); plot(n1Al2O3,cross8a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)
            xlabel('Al_2O_3 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('P_2O_5/Al_2O_3','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
%% Clear data
clear crossplots1_Al2O3
clear cross1a cross2a cross3a cross4a cross5a cross6a cross7a cross8a