%% Create cross-Plots over TiO2

% Runs main element normalization
    cd(folder_norm)
    normalization1
    normalization2
    cd(folder_plot)

% Generate data
    cross1a = (n1Fe2O3./n1TiO2);
    cross2a = (n1MgO./n1TiO2);
    cross3a = (n1MnO./n1TiO2);
    cross4a = (n1Al2O3./n1TiO2);
    cross5a = (n1Na2O./n1TiO2);
    cross6a = (n1K2O./n1TiO2);
    cross7a = (n1CaO./n1TiO2);
    cross8a = (n1P2O5./n1TiO2);
    
    cross1b = (n2Fe2O3./n2TiO2);
    cross2b = (n2MgO./n2TiO2);
    cross3b = (n2MnO./n2TiO2);
    cross4b = (n2Al2O3./n2TiO2);
    cross5b = (n2Na2O./n2TiO2);
    cross6b = (n2K2O./n2TiO2);
    cross7b = (n2CaO./n2TiO2);
    cross8b = (n2P2O5./n2TiO2);

crossplots2_TiO2 = figure('Visible','on','Position',[240,140,600,800]);
    set(crossplots2_TiO2,'Name','Cross-Plots (TiO2) - FGAPP v1.0 - 2 datasets')

    %% Create crossplots
% 1.1
subplot(4,2,1); plot(n2TiO2,cross1b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross1a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Fe_2O_3/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 1.2
subplot(4,2,2); plot(n2TiO2,cross2b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross2a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MgO/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 2.1
subplot(4,2,3); plot(n2TiO2,cross3b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross3a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('MnO/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 2.2
subplot(4,2,4); plot(n2TiO2,cross4b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross4a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Al_2O_3/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3.1
subplot(4,2,5); plot(n2TiO2,cross5b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross5a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('Na_2O/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
% 3.2
subplot(4,2,6); plot(n2TiO2,cross6b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross6a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('K_2O/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4.1
subplot(4,2,7); plot(n2TiO2,cross7b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross7a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('CaO/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4.2
subplot(4,2,8); plot(n2TiO2,cross8b,'o','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','b',...
                                        'MarkerSize',5)
                                    hold all
                plot(n1TiO2,cross8a,'s','MarkerEdgeColor','k',...
                                        'MarkerFaceColor','r',...
                                        'MarkerSize',5)                
                                    hold off
            xlabel('TiO_2 [wt.%]','fontsize',8,'fontweight','b','FontName','Arial')
            ylabel('P_2O_5/TiO_2','fontsize',8,'fontweight','b','FontName','Arial')
            set(gca,'LineWidth',2,'fontsize',6,'fontweight','b')
      
	%% Clear data
clear crossplots2_TiO2
clear cross1a cross2a cross3a cross4a cross5a cross6a cross7a cross8a
clear cross1b cross2b cross3b cross4b cross5b cross6b cross7b cross8b