% Reading of data from first input file and performs a LOI-free normalization 
% of main elements, trace elements, platin-group elements (PGE), and rare 
% earth elements (REE)
    
%% First Input File
    input_dat1 = input_dat1(:,1:76);
    
%% Reading of coloum from Input-Variable and turn NaN's to 0
    r1SiO2  = input_dat1(:,1);    r1SiO2(isnan(r1SiO2))      = 0;
    r1TiO2  = input_dat1(:,2);    r1TiO2(isnan(r1TiO2))      = 0;
    r1Al2O3 = input_dat1(:,3);    r1Al2O3(isnan(r1Al2O3))    = 0;
    r1Fe2O3 = input_dat1(:,4);    r1Fe2O3(isnan(r1Fe2O3))    = 0;
    r1MnO   = input_dat1(:,5);    r1MnO(isnan(r1MnO))        = 0;
    r1MgO   = input_dat1(:,6);    r1MgO(isnan(r1MgO))        = 0;
    r1CaO   = input_dat1(:,7);    r1CaO(isnan(r1CaO))        = 0;
    r1Na2O  = input_dat1(:,8);    r1Na2O(isnan(r1Na2O))      = 0;
    r1K2O   = input_dat1(:,9);    r1K2O(isnan(r1K2O))        = 0;
    r1P2O5  = input_dat1(:,10);   r1P2O5(isnan(r1P2O5))      = 0;
    r1SO3 = input_dat1(:,11);     r1SO3(isnan(r1SO3))        = 0;
    r1Cl  = input_dat1(:,12);     r1Cl(isnan(r1Cl))          = 0;
    r1F   = input_dat1(:,13);     r1F(isnan(r1F))            = 0;
    r1H2O = input_dat1(:,14);     r1H2O(isnan(r1H2O)) = 0;
    r1CO2 = input_dat1(:,15);     r1CO2(isnan(r1CO2)) = 0;
    r1LOI = input_dat1(:,16);     r1LOI(isnan(r1LOI)) = 0;
    r1totalinput = input_dat1(:,17);    r1totalinput(isnan(r1totalinput)) = 0;
    r1Ag = input_dat1(:,18);     r1Ag(isnan(r1Ag))   = 0;
    r1As = input_dat1(:,19);     r1As(isnan(r1As))   = 0;
    r1Au = input_dat1(:,20);     r1Au(isnan(r1Au))   = 0;
    r1B  = input_dat1(:,21);     r1B(isnan(r1B))     = 0;
    r1Ba = input_dat1(:,22);     r1Ba(isnan(r1Ba))   = 0;
    r1Be = input_dat1(:,23);     r1Be(isnan(r1Be))   = 0;
    r1Bi = input_dat1(:,24);     r1Bi(isnan(r1Bi))   = 0;
    r1Cd = input_dat1(:,25);     r1Cd(isnan(r1Cd))   = 0;
    r1Co = input_dat1(:,26);     r1Co(isnan(r1Co))   = 0;
    r1Cr = input_dat1(:,27);     r1Cr(isnan(r1Cr))   = 0;
    r1Cs = input_dat1(:,28);     r1Cs(isnan(r1Cs))   = 0;
    r1Cu = input_dat1(:,29);     r1Cu(isnan(r1Cu))   = 0;
    r1Ga = input_dat1(:,30);     r1Ga(isnan(r1Ga))   = 0;
    r1Ge = input_dat1(:,31);     r1Ge(isnan(r1Ge))   = 0;
    r1Hf = input_dat1(:,32);     r1Hf(isnan(r1Hf))   = 0;
    r1Hg = input_dat1(:,33);     r1Hg(isnan(r1Hg))   = 0;
    r1In = input_dat1(:,34);     r1In(isnan(r1In))   = 0;
    r1Li = input_dat1(:,35);     r1Li(isnan(r1Li))   = 0;
    r1Mo = input_dat1(:,36);     r1Mo(isnan(r1Mo))   = 0;
    r1Nb = input_dat1(:,37);     r1Nb(isnan(r1Nb))   = 0;
    r1Ni = input_dat1(:,38);     r1Ni(isnan(r1Ni))   = 0;
    r1Pb = input_dat1(:,39);     r1Pb(isnan(r1Pb))   = 0;
    r1Rb = input_dat1(:,40);     r1Rb(isnan(r1Rb))   = 0;
    r1Re = input_dat1(:,41);     r1Re(isnan(r1Re))   = 0;
    r1Sb = input_dat1(:,42);     r1Sb(isnan(r1Sb))   = 0;
    r1Sc = input_dat1(:,43);     r1Sc(isnan(r1Sc))   = 0;
    r1Se = input_dat1(:,44);     r1Se(isnan(r1Se))   = 0;
    r1Sn = input_dat1(:,45);     r1Sn(isnan(r1Sn))   = 0;
    r1Sr = input_dat1(:,46);     r1Sr(isnan(r1Sr))   = 0;
    r1Ta = input_dat1(:,47);     r1Ta(isnan(r1Ta))   = 0;
    r1Te = input_dat1(:,48);     r1Te(isnan(r1Te))   = 0;
    r1Th = input_dat1(:,49);     r1Th(isnan(r1Th))   = 0;
    r1Tl = input_dat1(:,50);     r1Tl(isnan(r1Tl))   = 0;
    r1U  = input_dat1(:,51);     r1U (isnan(r1U))    = 0;
    r1V  = input_dat1(:,52);     r1V (isnan(r1V))    = 0;
    r1W  = input_dat1(:,53);     r1W (isnan(r1W))    = 0;
    r1Y  = input_dat1(:,54);     r1Y (isnan(r1Y))    = 0;
    r1Zn = input_dat1(:,55);     r1Zn(isnan(r1Zn))   = 0;
    r1Zr = input_dat1(:,56);     r1Zr(isnan(r1Zr))   = 0;
    r1Ru = input_dat1(:,57);     r1Ru(isnan(r1Ru))   = 0;
    r1Rh = input_dat1(:,58);     r1Rh(isnan(r1Rh))   = 0;
    r1Pd = input_dat1(:,59);     r1Pd(isnan(r1Pd))   = 0;
    r1Os = input_dat1(:,60);     r1Os(isnan(r1Os))   = 0;
    r1Ir = input_dat1(:,61);     r1Ir(isnan(r1Ir))   = 0;
    r1Pt = input_dat1(:,62);     r1Pt(isnan(r1Pt))   = 0;
    r1La = input_dat1(:,63);     r1La(isnan(r1La))   = 0;
    r1Ce = input_dat1(:,64);     r1Ce(isnan(r1Ce))   = 0;
    r1Pr = input_dat1(:,65);     r1Pr(isnan(r1Pr))   = 0;
    r1Nd = input_dat1(:,66);     r1Nd(isnan(r1Nd))   = 0;
    r1Sm = input_dat1(:,67);     r1Sm(isnan(r1Sm))   = 0;
    r1Eu = input_dat1(:,68);     r1Eu(isnan(r1Eu))   = 0;
    r1Gd = input_dat1(:,69);     r1Gd(isnan(r1Gd))   = 0;
    r1Tb = input_dat1(:,70);     r1Tb(isnan(r1Tb))   = 0;
    r1Dy = input_dat1(:,71);	 r1Dy(isnan(r1Dy))   = 0;
    r1Ho = input_dat1(:,72);     r1Ho(isnan(r1Ho))   = 0;
    r1Er = input_dat1(:,73);     r1Er(isnan(r1Er))   = 0;
    r1Tm = input_dat1(:,74);     r1Tm(isnan(r1Tm))   = 0;
    r1Yb = input_dat1(:,75);     r1Yb(isnan(r1Yb))   = 0;
    r1Lu = input_dat1(:,76);     r1Lu(isnan(r1Lu))   = 0;
 
%% Calculate total values

% Calculate total value (only main elements - volatile-free)
r1totalmain     = r1SiO2+r1TiO2+r1Al2O3+r1Fe2O3+r1MnO+r1MgO+r1CaO+r1Na2O+r1K2O+r1P2O5;

% Calculate total value (only main elements and volatiles)
r1totalLOImain = r1SiO2+r1TiO2+r1Al2O3+r1Fe2O3+r1MnO+r1MgO+r1CaO+r1Na2O+r1K2O+r1P2O5+...
                 r1SO3+r1Cl+r1F+r1H2O+r1CO2+r1LOI;
             
% Calculate total LOI
r1LOIonly       = r1SO3+r1Cl+r1F+r1H2O+r1CO2+r1LOI;

% Calculate total value (main elements and trace elements - volatile-free)
r1total         = r1SiO2+r1TiO2+r1Al2O3+r1Fe2O3+r1MnO+r1MgO+r1CaO+r1Na2O+r1K2O+r1P2O5+...               
               ((r1Ag+r1As+r1Au+r1Ba+r1B+r1Be+r1Bi+r1Cd+r1Co+r1Cr+r1Cs+r1Cu+...
                 r1Ga+r1Ge+r1Hf+r1Hg+r1In+r1Li+r1Mo+r1Nb+r1Ni+r1Pb+r1Rb+r1Re+...
                 r1Sb+r1Sc+r1Sn+r1Sr+r1Ta+r1Te+r1Th+r1Tl+r1U+r1V+r1W+r1Y+...
                 r1Zn+r1Zr+...
                 r1Ru+r1Rh+r1Pd+r1Os+r1Ir+r1Pt+...
                 r1La+r1Ce+r1Pr+r1Nd+r1Sm+r1Eu+r1Gd+r1Tb+r1Dy+r1Ho+...
                 r1Er+r1Tm+r1Yb+r1Lu)./10000);
% Calculate total value (main elements, volatiles, and trace elements)
r1totalLOI     = r1SiO2+r1TiO2+r1Al2O3+r1Fe2O3+r1MnO+r1MgO+r1CaO+r1Na2O+r1K2O+r1P2O5+...
                 r1SO3+r1Cl+r1F+r1H2O+r1CO2+r1LOI+...                 
               ((r1Ag+r1As+r1Au+r1Ba+r1B+r1Be+r1Bi+r1Cd+r1Co+r1Cr+r1Cs+r1Cu+...
                 r1Ga+r1Ge+r1Hf+r1Hg+r1In+r1Li+r1Mo+r1Nb+r1Ni+r1Pb+r1Rb+r1Re+...
                 r1Sb+r1Sc+r1Sn+r1Sr+r1Ta+r1Te+r1Th+r1Tl+r1U+r1V+r1W+r1Y+...
                 r1Zn+r1Zr+...
                 r1Ru+r1Rh+r1Pd+r1Os+r1Ir+r1Pt+...
                 r1La+r1Ce+r1Pr+r1Nd+r1Sm+r1Eu+r1Gd+r1Tb+r1Dy+r1Ho+...
                 r1Er+r1Tm+r1Yb+r1Lu)./10000);

%% Performing normalization and turn raw and normalized zeros to NaN
    n1SiO2  = r1SiO2  ./r1total*100; n1SiO2(isnan(0./n1SiO2))   = NaN; r1SiO2(isnan(0./r1SiO2))   = NaN;
    n1TiO2  = r1TiO2  ./r1total*100; n1TiO2(isnan(0./n1TiO2))   = NaN; r1TiO2(isnan(0./r1TiO2))   = NaN;
    n1Al2O3 = r1Al2O3 ./r1total*100; n1Al2O3(isnan(0./n1Al2O3)) = NaN; r1Al2O3(isnan(0./r1Al2O3)) = NaN;
    n1Fe2O3 = r1Fe2O3 ./r1total*100; n1Fe2O3(isnan(0./n1Fe2O3)) = NaN; r1Fe2O3(isnan(0./r1Fe2O3)) = NaN;
    n1MnO   = r1MnO   ./r1total*100; n1MnO(isnan(0./n1MnO))     = NaN; r1MnO(isnan(0./r1MnO))     = NaN;
    n1MgO   = r1MgO   ./r1total*100; n1MgO(isnan(0./n1MgO))     = NaN; r1MgO(isnan(0./r1MgO))     = NaN;
    n1CaO   = r1CaO   ./r1total*100; n1CaO(isnan(0./n1CaO))     = NaN; r1CaO(isnan(0./r1CaO))     = NaN;
    n1Na2O  = r1Na2O  ./r1total*100; n1Na2O(isnan(0./n1Na2O))   = NaN; r1Na2O(isnan(0./r1Na2O))   = NaN;
    n1K2O   = r1K2O   ./r1total*100; n1K2O(isnan(0./n1K2O))     = NaN; r1K2O(isnan(0./r1K2O))     = NaN;
    n1P2O5  = r1P2O5  ./r1total*100; n1P2O5(isnan(0./n1P2O5))   = NaN; r1P2O5(isnan(0./r1P2O5))   = NaN;
    n1total = r1total ./r1total*100; n1total(isnan(0./n1total)) = NaN; r1total(isnan(0./r1total)) = NaN;
    r1SO3(isnan(0./r1SO3)) = NaN;
    r1F(isnan(0./r1F)) = NaN;
    r1Cl(isnan(0./r1Cl)) = NaN;
    r1H2O(isnan(0./r1H2O)) = NaN;
    r1CO2(isnan(0./r1CO2)) = NaN;
    r1LOI(isnan(0./r1LOI)) = NaN;
    n1Ag    = r1Ag./r1total*100; n1Ag(isnan(0./n1Ag))   = NaN; r1Ag(isnan(0./r1Ag))   = NaN;
    n1As    = r1As./r1total*100; n1As(isnan(0./n1As))   = NaN; r1As(isnan(0./r1As))   = NaN;
    n1Au    = r1Au./r1total*100; n1Au(isnan(0./n1Au))   = NaN; r1Au(isnan(0./r1Au))   = NaN;
    n1B     = r1B ./r1total*100; n1B (isnan(0./n1B ))   = NaN; r1B (isnan(0./r1B ))   = NaN;
    n1Ba    = r1Ba./r1total*100; n1Ba(isnan(0./n1Ba))   = NaN; r1Ba(isnan(0./r1Ba))   = NaN;
    n1Be    = r1Be./r1total*100; n1Be(isnan(0./n1Be))   = NaN; r1Be(isnan(0./r1Be))   = NaN;
    n1Bi    = r1Bi./r1total*100; n1Bi(isnan(0./n1Bi))   = NaN; r1Bi(isnan(0./r1Bi))   = NaN;
    n1Cd    = r1Cd./r1total*100; n1Cd(isnan(0./n1Cd))   = NaN; r1Cd(isnan(0./r1Cd))   = NaN;
    n1Co    = r1Co./r1total*100; n1Co(isnan(0./n1Co))   = NaN; r1Co(isnan(0./r1Co))   = NaN;
    n1Cr    = r1Cr./r1total*100; n1Cr(isnan(0./n1Cr))   = NaN; r1Cr(isnan(0./r1Cr))   = NaN;
    n1Cs    = r1Cs./r1total*100; n1Cs(isnan(0./n1Cs))   = NaN; r1Cs(isnan(0./r1Cs))   = NaN;
    n1Cu    = r1Cu./r1total*100; n1Cu(isnan(0./n1Cu))   = NaN; r1Cu(isnan(0./r1Cu))   = NaN;
    n1Ga    = r1Ga./r1total*100; n1Ga(isnan(0./n1Ga))   = NaN; r1Ga(isnan(0./r1Ga))   = NaN;
    n1Ge    = r1Ge./r1total*100; n1Ge(isnan(0./n1Ge))   = NaN; r1Ge(isnan(0./r1Ge))   = NaN;
    n1Hf    = r1Hf./r1total*100; n1Hf(isnan(0./n1Hf))   = NaN; r1Hf(isnan(0./r1Hf))   = NaN;
    n1Hg    = r1Hg./r1total*100; n1Hg(isnan(0./n1Hg))   = NaN; r1Hg(isnan(0./r1Hg))   = NaN;
    n1In    = r1In./r1total*100; n1In(isnan(0./n1In))   = NaN; r1In(isnan(0./r1In))   = NaN;
    n1Li    = r1Li./r1total*100; n1Li(isnan(0./n1Li))   = NaN; r1Li(isnan(0./r1Li))   = NaN;
    n1Mo    = r1Mo./r1total*100; n1Mo(isnan(0./n1Mo))   = NaN; r1Mo(isnan(0./r1Mo))   = NaN;
    n1Nb    = r1Nb./r1total*100; n1Nb(isnan(0./n1Nb))   = NaN; r1Nb(isnan(0./r1Nb))   = NaN;
    n1Ni    = r1Ni./r1total*100; n1Ni(isnan(0./n1Ni))   = NaN; r1Ni(isnan(0./r1Ni))   = NaN;
    n1Pb    = r1Pb./r1total*100; n1Pb(isnan(0./n1Pb))   = NaN; r1Pb(isnan(0./r1Pb))   = NaN;
    n1Rb    = r1Rb./r1total*100; n1Rb(isnan(0./n1Rb))   = NaN; r1Rb(isnan(0./r1Rb))   = NaN;
    n1Re    = r1Re./r1total*100; n1Re(isnan(0./n1Re))   = NaN; r1Re(isnan(0./r1Re))   = NaN;
    n1Sb    = r1Sb./r1total*100; n1Sb(isnan(0./n1Sb))   = NaN; r1Sb(isnan(0./r1Sb))   = NaN;
    n1Sc    = r1Sc./r1total*100; n1Sc(isnan(0./n1Sc))   = NaN; r1Sc(isnan(0./r1Sc))   = NaN;
    n1Se    = r1Se./r1total*100; n1Se(isnan(0./n1Se))   = NaN; r1Se(isnan(0./r1Se))   = NaN;
    n1Sn    = r1Sn./r1total*100; n1Sn(isnan(0./n1Sn))   = NaN; r1Sn(isnan(0./r1Sn))   = NaN;
    n1Sr    = r1Sr./r1total*100; n1Sr(isnan(0./n1Sr))   = NaN; r1Sr(isnan(0./r1Sr))   = NaN;
    n1Ta    = r1Ta./r1total*100; n1Ta(isnan(0./n1Ta))   = NaN; r1Ta(isnan(0./r1Ta))   = NaN;
    n1Te    = r1Te./r1total*100; n1Te(isnan(0./n1Te))   = NaN; r1Te(isnan(0./r1Te))   = NaN;
    n1Th    = r1Th./r1total*100; n1Th(isnan(0./n1Th))   = NaN; r1Th(isnan(0./r1Th))   = NaN;
    n1Tl    = r1Tl./r1total*100; n1Tl(isnan(0./n1Tl))   = NaN; r1Tl(isnan(0./r1Tl))   = NaN;
    n1U     = r1U ./r1total*100; n1U(isnan(0./n1U))     = NaN; r1U(isnan(0./r1U))     = NaN;
    n1V     = r1V ./r1total*100; n1V(isnan(0./n1V))     = NaN; r1V(isnan(0./r1V))     = NaN;
    n1W     = r1W ./r1total*100; n1W(isnan(0./n1W))     = NaN; r1W(isnan(0./r1W))     = NaN;
    n1Y     = r1Y ./r1total*100; n1Y(isnan(0./n1Y))     = NaN; r1Y(isnan(0./r1Y))     = NaN;
    n1Zn    = r1Zn./r1total*100; n1Zn(isnan(0./n1Zn))   = NaN; r1Zn(isnan(0./r1Zn))   = NaN;
    n1Zr    = r1Zr./r1total*100; n1Zr(isnan(0./n1Zr))   = NaN; r1Zr(isnan(0./r1Zr))   = NaN;
    n1Ru    = r1Ru./r1total*100; n1Ru(isnan(0./n1Ru))   = NaN; r1Ru(isnan(0./r1Ru))   = NaN;
    n1Rh    = r1Rh./r1total*100; n1Rh(isnan(0./n1Rh))   = NaN; r1Rh(isnan(0./r1Rh))   = NaN;
    n1Pd    = r1Pd./r1total*100; n1Pd(isnan(0./n1Pd))   = NaN; r1Pd(isnan(0./r1Pd))   = NaN;
    n1Os    = r1Os./r1total*100; n1Os(isnan(0./n1Os))   = NaN; r1Os(isnan(0./r1Os))   = NaN;
    n1Ir    = r1Ir./r1total*100; n1Ir(isnan(0./n1Ir))   = NaN; r1Ir(isnan(0./r1Ir))   = NaN;
    n1Pt    = r1Pt./r1total*100; n1Pt(isnan(0./n1Pt))   = NaN; r1Pt(isnan(0./r1Pt))   = NaN; 
    n1La    = r1La./r1total*100; n1La(isnan(0./n1La))   = NaN; r1La(isnan(0./r1La))   = NaN;
    n1Ce    = r1Ce./r1total*100; n1Ce(isnan(0./n1Ce))   = NaN; r1Ce(isnan(0./r1Ce))   = NaN;
    n1Pr    = r1Pr./r1total*100; n1Pr(isnan(0./n1Pr))   = NaN; r1Pr(isnan(0./r1Pr))   = NaN;
    n1Nd    = r1Nd./r1total*100; n1Nd(isnan(0./n1Nd))   = NaN; r1Nd(isnan(0./r1Nd))   = NaN;
    n1Sm    = r1Sm./r1total*100; n1Sm(isnan(0./n1Sm))   = NaN; r1Sm(isnan(0./r1Sm))   = NaN;
    n1Eu    = r1Eu./r1total*100; n1Eu(isnan(0./n1Eu))   = NaN; r1Eu(isnan(0./r1Eu))   = NaN;
    n1Gd    = r1Gd./r1total*100; n1Gd(isnan(0./n1Gd))   = NaN; r1Gd(isnan(0./r1Gd))   = NaN;
    n1Tb    = r1Tb./r1total*100; n1Tb(isnan(0./n1Tb))   = NaN; r1Tb(isnan(0./r1Tb))   = NaN;
    n1Dy    = r1Dy./r1total*100; n1Dy(isnan(0./n1Dy))   = NaN; r1Dy(isnan(0./r1Dy))   = NaN;
    n1Ho    = r1Ho./r1total*100; n1Ho(isnan(0./n1Ho))   = NaN; r1Ho(isnan(0./r1Ho))   = NaN;
    n1Er    = r1Er./r1total*100; n1Er(isnan(0./n1Er))   = NaN; r1Er(isnan(0./r1Er))   = NaN;
    n1Tm    = r1Tm./r1total*100; n1Tm(isnan(0./n1Tm))   = NaN; r1Tm(isnan(0./r1Tm))   = NaN;
    n1Yb    = r1Yb./r1total*100; n1Yb(isnan(0./n1Yb))   = NaN; r1Yb(isnan(0./r1Yb))   = NaN;
    n1Lu    = r1Lu./r1total*100; n1Lu(isnan(0./n1Lu))   = NaN; r1Lu(isnan(0./r1Lu))   = NaN;
    
            
%% Conversion of wt.% to mol.% of main elements
    conversion2molar1
    
%% Runs statistics and Tabs
    statistics1
    tables1
