% Reading of data from third input file and performs a LOI-free normalization 
% of main elements, trace elements, platin-group elements (PGE), and rare 
% earth elements (REE)
    
%% First Input File
    input_dat3 = input_dat3(:,1:76);
    
%% Reading of coloum from Input-Variable and turn NaN's to 0
    r3SiO2  = input_dat3(:,1);    r3SiO2(isnan(r3SiO2))      = 0;
    r3TiO2  = input_dat3(:,2);    r3TiO2(isnan(r3TiO2))      = 0;
    r3Al2O3 = input_dat3(:,3);    r3Al2O3(isnan(r3Al2O3))    = 0;
    r3Fe2O3 = input_dat3(:,4);    r3Fe2O3(isnan(r3Fe2O3))    = 0;
    r3MnO   = input_dat3(:,5);    r3MnO(isnan(r3MnO))        = 0;
    r3MgO   = input_dat3(:,6);    r3MgO(isnan(r3MgO))        = 0;
    r3CaO   = input_dat3(:,7);    r3CaO(isnan(r3CaO))        = 0;
    r3Na2O  = input_dat3(:,8);    r3Na2O(isnan(r3Na2O))      = 0;
    r3K2O   = input_dat3(:,9);    r3K2O(isnan(r3K2O))        = 0;
    r3P2O5  = input_dat3(:,10);   r3P2O5(isnan(r3P2O5))      = 0;
    r3SO3 = input_dat3(:,11);     r3SO3(isnan(r3SO3))        = 0;
    r3Cl  = input_dat3(:,12);     r3Cl(isnan(r3Cl))          = 0;
    r3F   = input_dat3(:,13);     r3F(isnan(r3F))            = 0;
    r3H2O = input_dat3(:,14);     r3H2O(isnan(r3H2O)) = 0;
    r3CO2 = input_dat3(:,15);     r3CO2(isnan(r3CO2)) = 0;
    r3LOI = input_dat3(:,16);     r3LOI(isnan(r3LOI)) = 0;
    r3totalinput = input_dat3(:,17);    r3totalinput(isnan(r3totalinput)) = 0;
    r3Ag = input_dat3(:,18);     r3Ag(isnan(r3Ag))   = 0;
    r3As = input_dat3(:,19);     r3As(isnan(r3As))   = 0;
    r3Au = input_dat3(:,20);     r3Au(isnan(r3Au))   = 0;
    r3B  = input_dat3(:,21);     r3B(isnan(r3B))     = 0;
    r3Ba = input_dat3(:,22);     r3Ba(isnan(r3Ba))   = 0;
    r3Be = input_dat3(:,23);     r3Be(isnan(r3Be))   = 0;
    r3Bi = input_dat3(:,24);     r3Bi(isnan(r3Bi))   = 0;
    r3Cd = input_dat3(:,25);     r3Cd(isnan(r3Cd))   = 0;
    r3Co = input_dat3(:,26);     r3Co(isnan(r3Co))   = 0;
    r3Cr = input_dat3(:,27);     r3Cr(isnan(r3Cr))   = 0;
    r3Cs = input_dat3(:,28);     r3Cs(isnan(r3Cs))   = 0;
    r3Cu = input_dat3(:,29);     r3Cu(isnan(r3Cu))   = 0;
    r3Ga = input_dat3(:,30);     r3Ga(isnan(r3Ga))   = 0;
    r3Ge = input_dat3(:,31);     r3Ge(isnan(r3Ge))   = 0;
    r3Hf = input_dat3(:,32);     r3Hf(isnan(r3Hf))   = 0;
    r3Hg = input_dat3(:,33);     r3Hg(isnan(r3Hg))   = 0;
    r3In = input_dat3(:,34);     r3In(isnan(r3In))   = 0;
    r3Li = input_dat3(:,35);     r3Li(isnan(r3Li))   = 0;
    r3Mo = input_dat3(:,36);     r3Mo(isnan(r3Mo))   = 0;
    r3Nb = input_dat3(:,37);     r3Nb(isnan(r3Nb))   = 0;
    r3Ni = input_dat3(:,38);     r3Ni(isnan(r3Ni))   = 0;
    r3Pb = input_dat3(:,39);     r3Pb(isnan(r3Pb))   = 0;
    r3Rb = input_dat3(:,40);     r3Rb(isnan(r3Rb))   = 0;
    r3Re = input_dat3(:,41);     r3Re(isnan(r3Re))   = 0;
    r3Sb = input_dat3(:,42);     r3Sb(isnan(r3Sb))   = 0;
    r3Sc = input_dat3(:,43);     r3Sc(isnan(r3Sc))   = 0;
    r3Se = input_dat3(:,44);     r3Se(isnan(r3Se))   = 0;
    r3Sn = input_dat3(:,45);     r3Sn(isnan(r3Sn))   = 0;
    r3Sr = input_dat3(:,46);     r3Sr(isnan(r3Sr))   = 0;
    r3Ta = input_dat3(:,47);     r3Ta(isnan(r3Ta))   = 0;
    r3Te = input_dat3(:,48);     r3Te(isnan(r3Te))   = 0;
    r3Th = input_dat3(:,49);     r3Th(isnan(r3Th))   = 0;
    r3Tl = input_dat3(:,50);     r3Tl(isnan(r3Tl))   = 0;
    r3U  = input_dat3(:,51);     r3U (isnan(r3U))    = 0;
    r3V  = input_dat3(:,52);     r3V (isnan(r3V))    = 0;
    r3W  = input_dat3(:,53);     r3W (isnan(r3W))    = 0;
    r3Y  = input_dat3(:,54);     r3Y (isnan(r3Y))    = 0;
    r3Zn = input_dat3(:,55);     r3Zn(isnan(r3Zn))   = 0;
    r3Zr = input_dat3(:,56);     r3Zr(isnan(r3Zr))   = 0;
    r3Ru = input_dat3(:,57);     r3Ru(isnan(r3Ru))   = 0;
    r3Rh = input_dat3(:,58);     r3Rh(isnan(r3Rh))   = 0;
    r3Pd = input_dat3(:,59);     r3Pd(isnan(r3Pd))   = 0;
    r3Os = input_dat3(:,60);     r3Os(isnan(r3Os))   = 0;
    r3Ir = input_dat3(:,61);     r3Ir(isnan(r3Ir))   = 0;
    r3Pt = input_dat3(:,62);     r3Pt(isnan(r3Pt))   = 0;
    r3La = input_dat3(:,63);     r3La(isnan(r3La))   = 0;
    r3Ce = input_dat3(:,64);     r3Ce(isnan(r3Ce))   = 0;
    r3Pr = input_dat3(:,65);     r3Pr(isnan(r3Pr))   = 0;
    r3Nd = input_dat3(:,66);     r3Nd(isnan(r3Nd))   = 0;
    r3Sm = input_dat3(:,67);     r3Sm(isnan(r3Sm))   = 0;
    r3Eu = input_dat3(:,68);     r3Eu(isnan(r3Eu))   = 0;
    r3Gd = input_dat3(:,69);     r3Gd(isnan(r3Gd))   = 0;
    r3Tb = input_dat3(:,70);     r3Tb(isnan(r3Tb))   = 0;
    r3Dy = input_dat3(:,71);	 r3Dy(isnan(r3Dy))   = 0;
    r3Ho = input_dat3(:,72);     r3Ho(isnan(r3Ho))   = 0;
    r3Er = input_dat3(:,73);     r3Er(isnan(r3Er))   = 0;
    r3Tm = input_dat3(:,74);     r3Tm(isnan(r3Tm))   = 0;
    r3Yb = input_dat3(:,75);     r3Yb(isnan(r3Yb))   = 0;
    r3Lu = input_dat3(:,76);     r3Lu(isnan(r3Lu))   = 0;
 
%% Calculate total values

% Calculate total value (only main elements - volatile-free)
r3totalmain     = r3SiO2+r3TiO2+r3Al2O3+r3Fe2O3+r3MnO+r3MgO+r3CaO+r3Na2O+r3K2O+r3P2O5;

% Calculate total value (only main elements and volatiles)
r3totalLOImain = r3SiO2+r3TiO2+r3Al2O3+r3Fe2O3+r3MnO+r3MgO+r3CaO+r3Na2O+r3K2O+r3P2O5+...
                 r3SO3+r3Cl+r3F+r3H2O+r3CO2+r3LOI;
             
% Calculate total LOI
r3LOIonly       = r3SO3+r3Cl+r3F+r3H2O+r3CO2+r3LOI;

% Calculate total value (main elements and trace elements - volatile-free)
r3total         = r3SiO2+r3TiO2+r3Al2O3+r3Fe2O3+r3MnO+r3MgO+r3CaO+r3Na2O+r3K2O+r3P2O5+...               
               ((r3Ag+r3As+r3Au+r3Ba+r3B+r3Be+r3Bi+r3Cd+r3Co+r3Cr+r3Cs+r3Cu+...
                 r3Ga+r3Ge+r3Hf+r3Hg+r3In+r3Li+r3Mo+r3Nb+r3Ni+r3Pb+r3Rb+r3Re+...
                 r3Sb+r3Sc+r3Sn+r3Sr+r3Ta+r3Te+r3Th+r3Tl+r3U+r3V+r3W+r3Y+...
                 r3Zn+r3Zr+...
                 r3Ru+r3Rh+r3Pd+r3Os+r3Ir+r3Pt+...
                 r3La+r3Ce+r3Pr+r3Nd+r3Sm+r3Eu+r3Gd+r3Tb+r3Dy+r3Ho+...
                 r3Er+r3Tm+r3Yb+r3Lu)./10000);
% Calculate total value (main elements, volatiles, and trace elements)
r3totalLOI     = r3SiO2+r3TiO2+r3Al2O3+r3Fe2O3+r3MnO+r3MgO+r3CaO+r3Na2O+r3K2O+r3P2O5+...
                 r3SO3+r3Cl+r3F+r3H2O+r3CO2+r3LOI+...                 
               ((r3Ag+r3As+r3Au+r3Ba+r3B+r3Be+r3Bi+r3Cd+r3Co+r3Cr+r3Cs+r3Cu+...
                 r3Ga+r3Ge+r3Hf+r3Hg+r3In+r3Li+r3Mo+r3Nb+r3Ni+r3Pb+r3Rb+r3Re+...
                 r3Sb+r3Sc+r3Sn+r3Sr+r3Ta+r3Te+r3Th+r3Tl+r3U+r3V+r3W+r3Y+...
                 r3Zn+r3Zr+...
                 r3Ru+r3Rh+r3Pd+r3Os+r3Ir+r3Pt+...
                 r3La+r3Ce+r3Pr+r3Nd+r3Sm+r3Eu+r3Gd+r3Tb+r3Dy+r3Ho+...
                 r3Er+r3Tm+r3Yb+r3Lu)./10000);

%% Performing normalization and turn raw and normalized zeros to NaN
    n3SiO2  = r3SiO2  ./r3total*100; n3SiO2(isnan(0./n3SiO2))   = NaN; r3SiO2(isnan(0./r3SiO2))   = NaN;
    n3TiO2  = r3TiO2  ./r3total*100; n3TiO2(isnan(0./n3TiO2))   = NaN; r3TiO2(isnan(0./r3TiO2))   = NaN;
    n3Al2O3 = r3Al2O3 ./r3total*100; n3Al2O3(isnan(0./n3Al2O3)) = NaN; r3Al2O3(isnan(0./r3Al2O3)) = NaN;
    n3Fe2O3 = r3Fe2O3 ./r3total*100; n3Fe2O3(isnan(0./n3Fe2O3)) = NaN; r3Fe2O3(isnan(0./r3Fe2O3)) = NaN;
    n3MnO   = r3MnO   ./r3total*100; n3MnO(isnan(0./n3MnO))     = NaN; r3MnO(isnan(0./r3MnO))     = NaN;
    n3MgO   = r3MgO   ./r3total*100; n3MgO(isnan(0./n3MgO))     = NaN; r3MgO(isnan(0./r3MgO))     = NaN;
    n3CaO   = r3CaO   ./r3total*100; n3CaO(isnan(0./n3CaO))     = NaN; r3CaO(isnan(0./r3CaO))     = NaN;
    n3Na2O  = r3Na2O  ./r3total*100; n3Na2O(isnan(0./n3Na2O))   = NaN; r3Na2O(isnan(0./r3Na2O))   = NaN;
    n3K2O   = r3K2O   ./r3total*100; n3K2O(isnan(0./n3K2O))     = NaN; r3K2O(isnan(0./r3K2O))     = NaN;
    n3P2O5  = r3P2O5  ./r3total*100; n3P2O5(isnan(0./n3P2O5))   = NaN; r3P2O5(isnan(0./r3P2O5))   = NaN;
    n3total = r3total ./r3total*100; n3total(isnan(0./n3total)) = NaN; r3total(isnan(0./r3total)) = NaN;
    r3SO3(isnan(0./r3SO3)) = NaN;
    r3F(isnan(0./r3F)) = NaN;
    r3Cl(isnan(0./r3Cl)) = NaN;
    r3H2O(isnan(0./r3H2O)) = NaN;
    r3CO2(isnan(0./r3CO2)) = NaN;
    r3LOI(isnan(0./r3LOI)) = NaN;
    n3Ag    = r3Ag./r3total*100; n3Ag(isnan(0./n3Ag))   = NaN; r3Ag(isnan(0./r3Ag))   = NaN;
    n3As    = r3As./r3total*100; n3As(isnan(0./n3As))   = NaN; r3As(isnan(0./r3As))   = NaN;
    n3Au    = r3Au./r3total*100; n3Au(isnan(0./n3Au))   = NaN; r3Au(isnan(0./r3Au))   = NaN;
    n3B     = r3B ./r3total*100; n3B (isnan(0./n3B ))   = NaN; r3B (isnan(0./r3B ))   = NaN;
    n3Ba    = r3Ba./r3total*100; n3Ba(isnan(0./n3Ba))   = NaN; r3Ba(isnan(0./r3Ba))   = NaN;
    n3Be    = r3Be./r3total*100; n3Be(isnan(0./n3Be))   = NaN; r3Be(isnan(0./r3Be))   = NaN;
    n3Bi    = r3Bi./r3total*100; n3Bi(isnan(0./n3Bi))   = NaN; r3Bi(isnan(0./r3Bi))   = NaN;
    n3Cd    = r3Cd./r3total*100; n3Cd(isnan(0./n3Cd))   = NaN; r3Cd(isnan(0./r3Cd))   = NaN;
    n3Co    = r3Co./r3total*100; n3Co(isnan(0./n3Co))   = NaN; r3Co(isnan(0./r3Co))   = NaN;
    n3Cr    = r3Cr./r3total*100; n3Cr(isnan(0./n3Cr))   = NaN; r3Cr(isnan(0./r3Cr))   = NaN;
    n3Cs    = r3Cs./r3total*100; n3Cs(isnan(0./n3Cs))   = NaN; r3Cs(isnan(0./r3Cs))   = NaN;
    n3Cu    = r3Cu./r3total*100; n3Cu(isnan(0./n3Cu))   = NaN; r3Cu(isnan(0./r3Cu))   = NaN;
    n3Ga    = r3Ga./r3total*100; n3Ga(isnan(0./n3Ga))   = NaN; r3Ga(isnan(0./r3Ga))   = NaN;
    n3Ge    = r3Ge./r3total*100; n3Ge(isnan(0./n3Ge))   = NaN; r3Ge(isnan(0./r3Ge))   = NaN;
    n3Hf    = r3Hf./r3total*100; n3Hf(isnan(0./n3Hf))   = NaN; r3Hf(isnan(0./r3Hf))   = NaN;
    n3Hg    = r3Hg./r3total*100; n3Hg(isnan(0./n3Hg))   = NaN; r3Hg(isnan(0./r3Hg))   = NaN;
    n3In    = r3In./r3total*100; n3In(isnan(0./n3In))   = NaN; r3In(isnan(0./r3In))   = NaN;
    n3Li    = r3Li./r3total*100; n3Li(isnan(0./n3Li))   = NaN; r3Li(isnan(0./r3Li))   = NaN;
    n3Mo    = r3Mo./r3total*100; n3Mo(isnan(0./n3Mo))   = NaN; r3Mo(isnan(0./r3Mo))   = NaN;
    n3Nb    = r3Nb./r3total*100; n3Nb(isnan(0./n3Nb))   = NaN; r3Nb(isnan(0./r3Nb))   = NaN;
    n3Ni    = r3Ni./r3total*100; n3Ni(isnan(0./n3Ni))   = NaN; r3Ni(isnan(0./r3Ni))   = NaN;
    n3Pb    = r3Pb./r3total*100; n3Pb(isnan(0./n3Pb))   = NaN; r3Pb(isnan(0./r3Pb))   = NaN;
    n3Rb    = r3Rb./r3total*100; n3Rb(isnan(0./n3Rb))   = NaN; r3Rb(isnan(0./r3Rb))   = NaN;
    n3Re    = r3Re./r3total*100; n3Re(isnan(0./n3Re))   = NaN; r3Re(isnan(0./r3Re))   = NaN;
    n3Sb    = r3Sb./r3total*100; n3Sb(isnan(0./n3Sb))   = NaN; r3Sb(isnan(0./r3Sb))   = NaN;
    n3Sc    = r3Sc./r3total*100; n3Sc(isnan(0./n3Sc))   = NaN; r3Sc(isnan(0./r3Sc))   = NaN;
    n3Se    = r3Se./r3total*100; n3Se(isnan(0./n3Se))   = NaN; r3Se(isnan(0./r3Se))   = NaN;
    n3Sn    = r3Sn./r3total*100; n3Sn(isnan(0./n3Sn))   = NaN; r3Sn(isnan(0./r3Sn))   = NaN;
    n3Sr    = r3Sr./r3total*100; n3Sr(isnan(0./n3Sr))   = NaN; r3Sr(isnan(0./r3Sr))   = NaN;
    n3Ta    = r3Ta./r3total*100; n3Ta(isnan(0./n3Ta))   = NaN; r3Ta(isnan(0./r3Ta))   = NaN;
    n3Te    = r3Te./r3total*100; n3Te(isnan(0./n3Te))   = NaN; r3Te(isnan(0./r3Te))   = NaN;
    n3Th    = r3Th./r3total*100; n3Th(isnan(0./n3Th))   = NaN; r3Th(isnan(0./r3Th))   = NaN;
    n3Tl    = r3Tl./r3total*100; n3Tl(isnan(0./n3Tl))   = NaN; r3Tl(isnan(0./r3Tl))   = NaN;
    n3U     = r3U ./r3total*100; n3U(isnan(0./n3U))     = NaN; r3U(isnan(0./r3U))     = NaN;
    n3V     = r3V ./r3total*100; n3V(isnan(0./n3V))     = NaN; r3V(isnan(0./r3V))     = NaN;
    n3W     = r3W ./r3total*100; n3W(isnan(0./n3W))     = NaN; r3W(isnan(0./r3W))     = NaN;
    n3Y     = r3Y ./r3total*100; n3Y(isnan(0./n3Y))     = NaN; r3Y(isnan(0./r3Y))     = NaN;
    n3Zn    = r3Zn./r3total*100; n3Zn(isnan(0./n3Zn))   = NaN; r3Zn(isnan(0./r3Zn))   = NaN;
    n3Zr    = r3Zr./r3total*100; n3Zr(isnan(0./n3Zr))   = NaN; r3Zr(isnan(0./r3Zr))   = NaN;
    n3Ru    = r3Ru./r3total*100; n3Ru(isnan(0./n3Ru))   = NaN; r3Ru(isnan(0./r3Ru))   = NaN;
    n3Rh    = r3Rh./r3total*100; n3Rh(isnan(0./n3Rh))   = NaN; r3Rh(isnan(0./r3Rh))   = NaN;
    n3Pd    = r3Pd./r3total*100; n3Pd(isnan(0./n3Pd))   = NaN; r3Pd(isnan(0./r3Pd))   = NaN;
    n3Os    = r3Os./r3total*100; n3Os(isnan(0./n3Os))   = NaN; r3Os(isnan(0./r3Os))   = NaN;
    n3Ir    = r3Ir./r3total*100; n3Ir(isnan(0./n3Ir))   = NaN; r3Ir(isnan(0./r3Ir))   = NaN;
    n3Pt    = r3Pt./r3total*100; n3Pt(isnan(0./n3Pt))   = NaN; r3Pt(isnan(0./r3Pt))   = NaN; 
    n3La    = r3La./r3total*100; n3La(isnan(0./n3La))   = NaN; r3La(isnan(0./r3La))   = NaN;
    n3Ce    = r3Ce./r3total*100; n3Ce(isnan(0./n3Ce))   = NaN; r3Ce(isnan(0./r3Ce))   = NaN;
    n3Pr    = r3Pr./r3total*100; n3Pr(isnan(0./n3Pr))   = NaN; r3Pr(isnan(0./r3Pr))   = NaN;
    n3Nd    = r3Nd./r3total*100; n3Nd(isnan(0./n3Nd))   = NaN; r3Nd(isnan(0./r3Nd))   = NaN;
    n3Sm    = r3Sm./r3total*100; n3Sm(isnan(0./n3Sm))   = NaN; r3Sm(isnan(0./r3Sm))   = NaN;
    n3Eu    = r3Eu./r3total*100; n3Eu(isnan(0./n3Eu))   = NaN; r3Eu(isnan(0./r3Eu))   = NaN;
    n3Gd    = r3Gd./r3total*100; n3Gd(isnan(0./n3Gd))   = NaN; r3Gd(isnan(0./r3Gd))   = NaN;
    n3Tb    = r3Tb./r3total*100; n3Tb(isnan(0./n3Tb))   = NaN; r3Tb(isnan(0./r3Tb))   = NaN;
    n3Dy    = r3Dy./r3total*100; n3Dy(isnan(0./n3Dy))   = NaN; r3Dy(isnan(0./r3Dy))   = NaN;
    n3Ho    = r3Ho./r3total*100; n3Ho(isnan(0./n3Ho))   = NaN; r3Ho(isnan(0./r3Ho))   = NaN;
    n3Er    = r3Er./r3total*100; n3Er(isnan(0./n3Er))   = NaN; r3Er(isnan(0./r3Er))   = NaN;
    n3Tm    = r3Tm./r3total*100; n3Tm(isnan(0./n3Tm))   = NaN; r3Tm(isnan(0./r3Tm))   = NaN;
    n3Yb    = r3Yb./r3total*100; n3Yb(isnan(0./n3Yb))   = NaN; r3Yb(isnan(0./r3Yb))   = NaN;
    n3Lu    = r3Lu./r3total*100; n3Lu(isnan(0./n3Lu))   = NaN; r3Lu(isnan(0./r3Lu))   = NaN;
    
            
%% Conversion of wt.% to mol.% of main elements
    conversion2molar3
    
%% Runs statistics and Tabs
    statistics3
    tables3
