%% Re-assemble tables for second dataset

%% Creating blanks to replace volatiles that are not normalized
[h ~] = size(input_dat2); 
blank = zeros(h,1); blank(isnan(0./blank))   = NaN;

%% Creates table of normalized data
output_norm2 = [n2SiO2,n2TiO2,n2Al2O3,n2Fe2O3,n2MnO,n2MgO,n2CaO,n2Na2O,n2K2O,n2P2O5,...
        blank,blank,blank,blank,blank,blank,n2total,...                 
        n2Ag,n2As,n2Au,n2B,n2Ba,n2Be,n2Bi,n2Cd,n2Co,n2Cr,n2Cs,n2Cu,...
        n2Ga,n2Ge,n2Hf,n2Hg,n2In,n2Li,n2Mo,n2Nb,n2Ni,n2Pb,n2Rb,n2Re,...
        n2Sb,n2Sc,n2Se,n2Sn,n2Sr,n2Ta,n2Te,n2Th,n2Tl,n2U ,n2V ,n2W ,n2Y ,...
        n2Zn,n2Zr,...
        n2Ru,n2Rh,n2Pd,n2Os,n2Ir,n2Pt,...
        n2La,n2Ce,n2Pr,n2Nd,n2Sm,n2Eu,n2Gd,n2Tb,n2Dy,n2Ho,...
        n2Er,n2Tm,n2Yb,n2Lu];
    
%% Create table of normalized molar data
output_molar2 = [x2SiO2,x2TiO2,x2Al2O3,x2Fe2O3,x2MnO,x2MgO,x2CaO,x2Na2O,x2K2O,x2P2O5,x2sum];

%% Create a variable of samples lables
[h ~] = size(input_raw2);
input_samples2 = input_raw2(2:h,1);
input_he2 = input_raw2(1,2:6);
input_el2 = input_raw2(1,7:82);
input_header2 = [input_he2 input_el2];
input_comments2 = input_raw2(2:h,2:6);

%% Clear data
clear h blank input_el2 input_he2