%% Re-assemble tables for fourth dataset

%% Creating blanks to replace volatiles that are not normalized
[h ~] = size(input_dat4); 
blank = zeros(h,1); blank(isnan(0./blank))   = NaN;

%% Creates table of normalized data
output_norm4 = [n4SiO2,n4TiO2,n4Al2O3,n4Fe2O3,n4MnO,n4MgO,n4CaO,n4Na2O,n4K2O,n4P2O5,...
        blank,blank,blank,blank,blank,blank,n4total,...                 
        n4Ag,n4As,n4Au,n4B,n4Ba,n4Be,n4Bi,n4Cd,n4Co,n4Cr,n4Cs,n4Cu,...
        n4Ga,n4Ge,n4Hf,n4Hg,n4In,n4Li,n4Mo,n4Nb,n4Ni,n4Pb,n4Rb,n4Re,...
        n4Sb,n4Sc,n4Se,n4Sn,n4Sr,n4Ta,n4Te,n4Th,n4Tl,n4U ,n4V ,n4W ,n4Y ,...
        n4Zn,n4Zr,...
        n4Ru,n4Rh,n4Pd,n4Os,n4Ir,n4Pt,...
        n4La,n4Ce,n4Pr,n4Nd,n4Sm,n4Eu,n4Gd,n4Tb,n4Dy,n4Ho,...
        n4Er,n4Tm,n4Yb,n4Lu];
    
%% Create table of normalized molar data
output_molar4 = [x4SiO2,x4TiO2,x4Al2O3,x4Fe2O3,x4MnO,x4MgO,x4CaO,x4Na2O,x4K2O,x4P2O5,x4sum];

%% Create a variable of samples lables
[h ~] = size(input_raw4);
input_samples4 = input_raw4(2:h,1);
input_he4 = input_raw4(1,2:6);
input_el4 = input_raw4(1,7:82);
input_header4 = [input_he4 input_el4];
input_comments4 = input_raw4(2:h,2:6);

%% Clear data
clear h blank input_el4 input_he4