%% Trace element variations over MgO
% Creates trace element variations over MgO diagrams

%% Runs normalization
    cd(folder_norm)
    normalization1
    normalization2
    cd(folder_plot)
    
%% 1st figure - 1., 2., and 3. main group    

tevar1 = figure('Visible','on','Position',[100,50,800,700]);
    set(tevar1,'Name','Trace element variations over MgO (1st - 3rd group) - FastGAPP v1.0 - 2 datasets')
    
% 1 Li vs. MgO
subplot(3,3,1); plot(n2MgO,n2Li,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Li,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Li [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 Be vs. MgO
subplot(3,3,2); plot(n2MgO,n2Be,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Be,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Be [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Sc vs. MgO
subplot(3,3,3); plot(n2MgO,n2Sc,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Sc,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sc [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Rb vs. MgO
subplot(3,3,4); plot(n2MgO,n2Rb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Rb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        ylim([100 1000])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Rb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Sr vs. MgO
subplot(3,3,5); plot(n2MgO,n2Sr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Sr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Y vs. MgO
subplot(3,3,6); plot(n2MgO,n2Y,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Y,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Y [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 7 Cs vs. MgO
subplot(3,3,7); plot(n2MgO,n2Cs,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Cs,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cs [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 8 Ba vs. MgO
subplot(3,3,8); plot(n2MgO,n2Ba,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ba,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ba [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 La vs. MgO
subplot(3,3,9); plot(n2MgO,n2La,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1La,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('La [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
        
%% 2nd figure - 4., 5., and 6. main group

tevar2 = figure('Visible','on','Position',[125,75,800,700]);
    set(tevar2,'Name','Trace element variations over MgO (4th - 6th group) - FastGAPP v1.0 - 2 datasets')

% 1 TiO2 blank (main elements)

% 2 V vs. MgO
subplot(3,3,2); plot(n2MgO,n2V,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1V,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('V [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Cr vs. MgO
subplot(3,3,3); plot(n2MgO,n2Cr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Cr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Zr vs. MgO
subplot(3,3,4); plot(n2MgO,n2Zr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Zr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Zr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 5 Nb vs. MgO
subplot(3,3,5); plot(n2MgO,n2Nb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Nb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Nb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Mo vs. MgO
subplot(3,3,6); plot(n2MgO,n2Mo,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Mo,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Mo [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 7 Hf vs. MgO
subplot(3,3,7); plot(n2MgO,n2Hf,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Hf,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Hf [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 8 Ta vs. MgO
subplot(3,3,8); plot(n2MgO,n2Ta,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ta,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ta [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 W vs. MgO
subplot(3,3,9); plot(n2MgO,n2W,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1W,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('W [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
%% 3rd figure - 9., 10., 11., and 12. main group

tevar3 = figure('Visible','on','Position',[150,100,800,700]);
    set(tevar3,'Name','Trace element variations over MgO (Co, Ni Cu, Zn, Cd, Hg, B, Se, and Te) - FastGAPP v1.0 - 2 datasets')               
                        
% 1 Co vs. MgO
subplot(3,3,1); plot(n2MgO,n2Co,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Co,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Co [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 Ni vs. MgO
subplot(3,3,2); plot(n2MgO,n2Ni,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ni,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ni [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Cu vs. MgO
subplot(3,3,3); plot(n2MgO,n2Cu,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Cu,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cu [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Zn vs. MgO
subplot(3,3,4); plot(n2MgO,n2Zn,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Zn,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Zn [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Cu vs. MgO
subplot(3,3,5); plot(n2MgO,n2Cd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Cd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cd [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 6 Hg vs. MgO
subplot(3,3,6); plot(n2MgO,n2Hg,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Hg,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Hg [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 7 B vs. MgO
subplot(3,3,7); plot(n2MgO,n2B,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1B,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('B [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 8 Se vs. MgO
subplot(3,3,8); plot(n2MgO,n2Se,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Se,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Se [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 9 Te vs. MgO
subplot(3,3,9); plot(n2MgO,n2Te,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Te,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Te [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
%% 4th figure - 13., 14., and 15. main group

tevar4 = figure('Visible','on','Position',[175,125,800,700]);
    set(tevar4,'Name','Trace element variations over MgO (13th - 15th group) - FastGAPP v1.0 - 2 datasets')          
                      
% 1 Ga vs. MgO
subplot(3,3,1); plot(n2MgO,n2Ga,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ga,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ga [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 2 Ge vs. MgO
subplot(3,3,2); plot(n2MgO,n2Ge,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ge,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ge [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 3 As vs. MgO
subplot(3,3,3); plot(n2MgO,n2As,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1As,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('As [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 4 In vs. MgO
subplot(3,3,4); plot(n2MgO,n2In,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1In,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('In [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Sn vs. MgO
subplot(3,3,5); plot(n2MgO,n2Sn,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Sn,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sn [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Sb vs. MgO
subplot(3,3,6); plot(n2MgO,n2Sb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Sb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
 
% 7 Tl vs. MgO
subplot(3,3,7); plot(n2MgO,n2Tl,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Tl,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Tl [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')      
                        
% 8 Pb vs. MgO
subplot(3,3,8); plot(n2MgO,n2Pb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Pb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 Bi vs. MgO
subplot(3,3,9); plot(n2MgO,n2Bi,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Bi,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Bi [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')    
    
%% 5th figure - REE

tevar5 = figure('Visible','on','Position',[200,150,800,700]);
    set(tevar5,'Name','Trace element variations over MgO (REEs Ce-Ho) - FastGAPP v1.0 - 2 datasets')

% 1 Ce vs. MgO
subplot(3,3,1); plot(n2MgO,n2Ce,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ce,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ce [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 2 Pr vs. MgO
subplot(3,3,2); plot(n2MgO,n2Pr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Pr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 3 Nd vs. MgO
subplot(3,3,3); plot(n2MgO,n2Nd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Nd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 4 Sm vs. MgO
subplot(3,3,4); plot(n2MgO,n2Sm,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Sm,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sm [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 5 Eu vs. MgO
subplot(3,3,5); plot(n2MgO,n2Eu,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Eu,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Eu [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Gd vs. MgO
subplot(3,3,6); plot(n2MgO,n2Gd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Gd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Gd [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 7 Tb vs. MgO
subplot(3,3,7); plot(n2MgO,n2Tb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Tb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Tb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 Dy vs. MgO
subplot(3,3,8); plot(n2MgO,n2Dy,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Dy,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Dy [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 Ho vs. MgO
subplot(3,3,9); plot(n2MgO,n2Ho,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ho,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ho [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
%% 6th figure - REEs, Th, and U

tevar6 = figure('Visible','on','Position',[225,175,800,700]);
    set(tevar6,'Name','Trace element variations over MgO (REEs Er-Lu, Th, and U) - FastGAPP v1.0 - 2 datasets')

% 1 Er vs. MgO
subplot(3,3,1); plot(n2MgO,n2Er,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Er,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Er [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 2 Tm vs. MgO
subplot(3,3,2); plot(n2MgO,n2Tm,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Tm,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Tm [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 3 Yb vs. MgO
subplot(3,3,3); plot(n2MgO,n2Yb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Yb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Yb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 4 Lu vs. MgO
subplot(3,3,4); plot(n2MgO,n2Lu,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Lu,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Lu [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b') 
% 7 Th vs. MgO
subplot(3,3,7); plot(n2MgO,n2Th,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Th,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Th [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 U vs. MgO
subplot(3,3,8); plot(n2MgO,n2U,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1U,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('U [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        


%% 7th figure (Re, Ag, Au & PGE)                         
tevar7 = figure('Visible','on','Position',[250,200,800,700]);
    set(tevar7,'Name','Trace element variations over MgO (PGEs, Re, Ag, Au) - FastGAPP v1.0 - 2 datasets')
                        
% 1 Re vs. MgO
subplot(3,3,1); plot(n2MgO,n2Re,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Re,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Re [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 Ag vs. MgO
subplot(3,3,2); plot(n2MgO,n2Ag,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ag,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ag [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Au vs. MgO
subplot(3,3,3); plot(n2MgO,n2Au,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Au,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Au [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Ru vs. MgO
subplot(3,3,4); plot(n2MgO,n2Ru,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ru,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ru [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Rh vs. MgO
subplot(3,3,5); plot(n2MgO,n2Rh,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Rh,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Rh [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Pd vs. MgO
subplot(3,3,6); plot(n2MgO,n2Pd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Pd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pd [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')

% 7 Os vs. MgO
subplot(3,3,7); plot(n2MgO,n2Os,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Os,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Os [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 Ir vs. MgO
subplot(3,3,8); plot(n2MgO,n2Ir,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Ir,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ir [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 Pt vs. MgO
subplot(3,3,9); plot(n2MgO,n2Pt,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                                 hold all
                plot(n1MgO,n1Pt,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([0 16])
                        xlabel('MgO [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pt [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',0:2:16,'LineWidth',2,'fontsize',6,'fontweight','b')
    
    
%% Clear data
clear tevar1 tevar2 tevar3 tevar4 tevar5 tevar6 tevar7

