%% Trace element variations over silica
% Creates trace element variations over silica diagrams

%% Runs normalization
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    cd(folder_plot)
    
%% 1st figure - 1., 2., and 3. main group    

tevar1 = figure('Visible','on','Position',[100,50,800,700]);
    set(tevar1,'Name','Trace element variations over silica (1st - 3rd group) - FastGAPP v1.0 - 3 datasets')
    
% 1 Li vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Li,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Li,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Li,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                                 hold off
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Li [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 Be vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3Be,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Be,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Be,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Be [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Sc vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Sc,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Sc,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Sc,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sc [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Rb vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3Rb,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Rb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Rb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        ylim([100 1000])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Rb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Sr vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3Sr,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Sr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Sr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Y vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3Y,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Y,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Y,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Y [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 7 Cs vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Cs,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Cs,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Cs,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cs [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 8 Ba vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3Ba,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ba,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ba,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ba [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 La vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3La,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2La,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1La,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('La [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
        
%% 2nd figure - 4., 5., and 6. main group

tevar2 = figure('Visible','on','Position',[125,75,800,700]);
    set(tevar2,'Name','Trace element variations over silica (4th - 6th group) - FastGAPP v1.0 - 3 datasets')

% 1 TiO2 blank (main elements)

% 2 V vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3V,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2V,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1V,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('V [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Cr vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Cr,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Cr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Cr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Zr vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3Zr,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Zr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Zr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Zr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 5 Nb vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3Nb,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Nb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Nb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Nb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Mo vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3Mo,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Mo,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Mo,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Mo [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 7 Hf vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Hf,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Hf,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Hf,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Hf [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 8 Ta vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3Ta,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ta,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ta,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ta [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 W vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3W,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2W,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1W,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('W [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
%% 3rd figure - 9., 10., 11., and 12. main group

tevar3 = figure('Visible','on','Position',[150,100,800,700]);
    set(tevar3,'Name','Trace element variations over silica (Co, Ni Cu, Zn, Cd, Hg, B, Se, and Te) - FastGAPP v1.0 - 3 datasets')               
                        
% 1 Co vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Co,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Co,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Co,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Co [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 Ni vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3Ni,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ni,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ni,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ni [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Cu vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Cu,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Cu,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Cu,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cu [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Zn vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3Zn,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Zn,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Zn,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Zn [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Cu vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3Cd,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Cd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Cd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Cd [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 6 Hg vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3Hg,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Hg,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Hg,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Hg [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 7 B vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3B,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2B,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1B,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('B [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 8 Se vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3Se,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Se,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Se,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Se [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 9 Te vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3Te,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Te,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Te,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Te [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
%% 4th figure - 13., 14., and 15. main group

tevar4 = figure('Visible','on','Position',[175,125,800,700]);
    set(tevar4,'Name','Trace element variations over silica (13th - 15th group) - FastGAPP v1.0 - 3 datasets')          
                      
% 1 Ga vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Ga,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ga,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ga,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ga [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 2 Ge vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3Ge,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ge,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ge,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ge [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 3 As vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3As,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2As,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1As,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('As [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 4 In vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3In,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2In,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1In,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('In [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Sn vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3Sn,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Sn,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Sn,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sn [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Sb vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3Sb,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Sb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Sb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
 
% 7 Tl vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Tl,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Tl,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Tl,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Tl [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')      
                        
% 8 Pb vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3Pb,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Pb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Pb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 Bi vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3Bi,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Bi,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Bi,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Bi [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')    
    
%% 5th figure - REE

tevar5 = figure('Visible','on','Position',[200,150,800,700]);
    set(tevar5,'Name','Trace element variations over silica (REEs Ce-Ho) - FastGAPP v1.0 - 3 datasets')

% 1 Ce vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Ce,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ce,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ce,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ce [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 2 Pr vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3Pr,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Pr,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Pr,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 3 Nd vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Nd,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Nd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Nd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pr [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 4 Sm vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3Sm,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Sm,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Sm,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Sm [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 5 Eu vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3Eu,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Eu,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Eu,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Eu [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Gd vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3Gd,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Gd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Gd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Gd [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 7 Tb vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Tb,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Tb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Tb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Tb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 Dy vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3Dy,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Dy,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Dy,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Dy [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 Ho vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3Ho,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ho,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ho,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ho [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
%% 6th figure - REEs, Th, and U

tevar6 = figure('Visible','on','Position',[225,175,800,700]);
    set(tevar6,'Name','Trace element variations over silica (REEs Er-Lu, Th, and U) - FastGAPP v1.0 - 3 datasets')

% 1 Er vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Er,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Er,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Er,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Er [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 2 Tm vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3Tm,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Tm,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Tm,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Tm [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 3 Yb vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Yb,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Yb,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Yb,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Yb [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 4 Lu vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3Lu,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Lu,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Lu,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Lu [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b') 
% 7 Th vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Th,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Th,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Th,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Th [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 U vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3U,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2U,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1U,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('U [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        


%% 7th figure (Re, Ag, Au & PGE)                         
tevar7 = figure('Visible','on','Position',[250,200,800,700]);
    set(tevar7,'Name','Trace element variations over silica (PGEs, Re, Ag, Au) - FastGAPP v1.0 - 3 datasets')
                        
% 1 Re vs. SiO2
subplot(3,3,1); plot(n3SiO2,n3Re,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Re,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Re,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Re [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 2 Ag vs. SiO2
subplot(3,3,2); plot(n3SiO2,n3Ag,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ag,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ag,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ag [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 3 Au vs. SiO2
subplot(3,3,3); plot(n3SiO2,n3Au,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Au,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Au,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Au [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 4 Ru vs. SiO2
subplot(3,3,4); plot(n3SiO2,n3Ru,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ru,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ru,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ru [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 5 Rh vs. SiO2
subplot(3,3,5); plot(n3SiO2,n3Rh,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Rh,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Rh,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Rh [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 6 Pd vs. SiO2
subplot(3,3,6); plot(n3SiO2,n3Pd,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Pd,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Pd,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pd [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')

% 7 Os vs. SiO2
subplot(3,3,7); plot(n3SiO2,n3Os,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Os,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Os,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Os [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
% 8 Ir vs. SiO2
subplot(3,3,8); plot(n3SiO2,n3Ir,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Ir,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Ir,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Ir [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
                        
% 9 Pt vs. SiO2
subplot(3,3,9); plot(n3SiO2,n3Pt,'v','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','g',...
                                     'MarkerSize',5)
                                 hold all
                plot(n2SiO2,n2Pt,'o','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','b',...
                                     'MarkerSize',5)
                plot(n1SiO2,n1Pt,'s','MarkerEdgeColor','k',...
                                     'MarkerFaceColor','r',...
                                     'MarkerSize',5)
                        xlim([35 75])
                        xlabel('SiO_2 [wt.%]','fontsize',8,'fontweight','b')
                        ylabel('Pt [ppm]','fontsize',8,'fontweight','b')
                        set(gca,'XTick',35:5:80,'LineWidth',2,'fontsize',6,'fontweight','b')
    
    
%% Clear data
clear tevar1 tevar2 tevar3 tevar4 tevar5 tevar6 tevar7

